import{S as ah,i as rh,s as ih,e as s,k as h,w as b,t as i,M as lh,c as a,d as o,m as u,a as r,x as y,h as l,b as c,G as e,g as T,y as k,q as w,o as $,B as P,v as dh,L as te}from"../../chunks/vendor-hf-doc-builder.js";import{T as wt}from"../../chunks/Tip-hf-doc-builder.js";import{D as C}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Q}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as H}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as ee}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function ch(N){let d,v,m,f,_;return f=new Q({props:{code:`from transformers import GPTNeoConfig, GPTNeoModel

# Initializing a GPTNeo EleutherAI/gpt-neo-1.3B style configuration
configuration = GPTNeoConfig()

# Initializing a model (with random weights) from the EleutherAI/gpt-neo-1.3B style configuration
model = GPTNeoModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> GPTNeoConfig, GPTNeoModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a GPTNeo EleutherAI/gpt-neo-1.3B style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = GPTNeoConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the EleutherAI/gpt-neo-1.3B style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTNeoModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=s("p"),v=i("Example:"),m=h(),b(f.$$.fragment)},l(n){d=a(n,"P",{});var p=r(d);v=l(p,"Example:"),p.forEach(o),m=u(n),y(f.$$.fragment,n)},m(n,p){T(n,d,p),e(d,v),T(n,m,p),k(f,n,p),_=!0},p:te,i(n){_||(w(f.$$.fragment,n),_=!0)},o(n){$(f.$$.fragment,n),_=!1},d(n){n&&o(d),n&&o(m),P(f,n)}}}function ph(N){let d,v,m,f,_;return{c(){d=s("p"),v=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=i("Module"),_=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=a(n,"P",{});var p=r(d);v=l(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(p,"CODE",{});var F=r(m);f=l(F,"Module"),F.forEach(o),_=l(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(o)},m(n,p){T(n,d,p),e(d,v),e(d,m),e(m,f),e(d,_)},d(n){n&&o(d)}}}function hh(N){let d,v,m,f,_;return f=new Q({props:{code:`from transformers import AutoTokenizer, GPTNeoModel
import torch

tokenizer = AutoTokenizer.from_pretrained("EleutherAI/gpt-neo-1.3B")
model = GPTNeoModel.from_pretrained("EleutherAI/gpt-neo-1.3B")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, GPTNeoModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTNeoModel.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=s("p"),v=i("Example:"),m=h(),b(f.$$.fragment)},l(n){d=a(n,"P",{});var p=r(d);v=l(p,"Example:"),p.forEach(o),m=u(n),y(f.$$.fragment,n)},m(n,p){T(n,d,p),e(d,v),T(n,m,p),k(f,n,p),_=!0},p:te,i(n){_||(w(f.$$.fragment,n),_=!0)},o(n){$(f.$$.fragment,n),_=!1},d(n){n&&o(d),n&&o(m),P(f,n)}}}function uh(N){let d,v,m,f,_;return{c(){d=s("p"),v=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=i("Module"),_=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=a(n,"P",{});var p=r(d);v=l(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(p,"CODE",{});var F=r(m);f=l(F,"Module"),F.forEach(o),_=l(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(o)},m(n,p){T(n,d,p),e(d,v),e(d,m),e(m,f),e(d,_)},d(n){n&&o(d)}}}function fh(N){let d,v,m,f,_;return f=new Q({props:{code:`import torch
from transformers import AutoTokenizer, GPTNeoForCausalLM

tokenizer = AutoTokenizer.from_pretrained("EleutherAI/gpt-neo-1.3B")
model = GPTNeoForCausalLM.from_pretrained("EleutherAI/gpt-neo-1.3B")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs, labels=inputs["input_ids"])
loss = outputs.loss
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, GPTNeoForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTNeoForCausalLM.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=inputs[<span class="hljs-string">&quot;input_ids&quot;</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),v=i("Example:"),m=h(),b(f.$$.fragment)},l(n){d=a(n,"P",{});var p=r(d);v=l(p,"Example:"),p.forEach(o),m=u(n),y(f.$$.fragment,n)},m(n,p){T(n,d,p),e(d,v),T(n,m,p),k(f,n,p),_=!0},p:te,i(n){_||(w(f.$$.fragment,n),_=!0)},o(n){$(f.$$.fragment,n),_=!1},d(n){n&&o(d),n&&o(m),P(f,n)}}}function mh(N){let d,v,m,f,_;return{c(){d=s("p"),v=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=i("Module"),_=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=a(n,"P",{});var p=r(d);v=l(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(p,"CODE",{});var F=r(m);f=l(F,"Module"),F.forEach(o),_=l(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(o)},m(n,p){T(n,d,p),e(d,v),e(d,m),e(m,f),e(d,_)},d(n){n&&o(d)}}}function gh(N){let d,v,m,f,_;return f=new Q({props:{code:`import torch
from transformers import AutoTokenizer, GPTNeoForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("EleutherAI/gpt-neo-1.3B")
model = GPTNeoForSequenceClassification.from_pretrained("EleutherAI/gpt-neo-1.3B")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_id = logits.argmax().item()

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = GPTNeoForSequenceClassification.from_pretrained("EleutherAI/gpt-neo-1.3B", num_labels=num_labels)

labels = torch.tensor([1])
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, GPTNeoForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTNeoForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = logits.argmax().item()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTNeoForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=s("p"),v=i("Example of single-label classification:"),m=h(),b(f.$$.fragment)},l(n){d=a(n,"P",{});var p=r(d);v=l(p,"Example of single-label classification:"),p.forEach(o),m=u(n),y(f.$$.fragment,n)},m(n,p){T(n,d,p),e(d,v),T(n,m,p),k(f,n,p),_=!0},p:te,i(n){_||(w(f.$$.fragment,n),_=!0)},o(n){$(f.$$.fragment,n),_=!1},d(n){n&&o(d),n&&o(m),P(f,n)}}}function _h(N){let d,v,m,f,_;return f=new Q({props:{code:`import torch
from transformers import AutoTokenizer, GPTNeoForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("EleutherAI/gpt-neo-1.3B")
model = GPTNeoForSequenceClassification.from_pretrained("EleutherAI/gpt-neo-1.3B", problem_type="multi_label_classification")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.arange(0, logits.shape[-1])[torch.sigmoid(logits).squeeze(dim=0) > 0.5]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = GPTNeoForSequenceClassification.from_pretrained(
    "EleutherAI/gpt-neo-1.3B", num_labels=num_labels, problem_type="multi_label_classification"
)

labels = torch.sum(
    torch.nn.functional.one_hot(predicted_class_ids[None, :].clone(), num_classes=num_labels), dim=1
).to(torch.float)
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, GPTNeoForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTNeoForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.arange(<span class="hljs-number">0</span>, logits.shape[-<span class="hljs-number">1</span>])[torch.sigmoid(logits).squeeze(dim=<span class="hljs-number">0</span>) &gt; <span class="hljs-number">0.5</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTNeoForSequenceClassification.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>, num_labels=num_labels, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.<span class="hljs-built_in">sum</span>(
<span class="hljs-meta">... </span>    torch.nn.functional.one_hot(predicted_class_ids[<span class="hljs-literal">None</span>, :].clone(), num_classes=num_labels), dim=<span class="hljs-number">1</span>
<span class="hljs-meta">... </span>).to(torch.<span class="hljs-built_in">float</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=s("p"),v=i("Example of multi-label classification:"),m=h(),b(f.$$.fragment)},l(n){d=a(n,"P",{});var p=r(d);v=l(p,"Example of multi-label classification:"),p.forEach(o),m=u(n),y(f.$$.fragment,n)},m(n,p){T(n,d,p),e(d,v),T(n,m,p),k(f,n,p),_=!0},p:te,i(n){_||(w(f.$$.fragment,n),_=!0)},o(n){$(f.$$.fragment,n),_=!1},d(n){n&&o(d),n&&o(m),P(f,n)}}}function Th(N){let d,v,m,f,_;return{c(){d=s("p"),v=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=i("Module"),_=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=a(n,"P",{});var p=r(d);v=l(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(p,"CODE",{});var F=r(m);f=l(F,"Module"),F.forEach(o),_=l(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(o)},m(n,p){T(n,d,p),e(d,v),e(d,m),e(m,f),e(d,_)},d(n){n&&o(d)}}}function vh(N){let d,v,m,f,_;return f=new Q({props:{code:`from transformers import AutoTokenizer, TFGPTNeoModel
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("EleutherAI/gpt-neo-1.3B")
model = TFGPTNeoModel.from_pretrained("EleutherAI/gpt-neo-1.3B")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFGPTNeoModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFGPTNeoModel.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=s("p"),v=i("Example:"),m=h(),b(f.$$.fragment)},l(n){d=a(n,"P",{});var p=r(d);v=l(p,"Example:"),p.forEach(o),m=u(n),y(f.$$.fragment,n)},m(n,p){T(n,d,p),e(d,v),T(n,m,p),k(f,n,p),_=!0},p:te,i(n){_||(w(f.$$.fragment,n),_=!0)},o(n){$(f.$$.fragment,n),_=!1},d(n){n&&o(d),n&&o(m),P(f,n)}}}function bh(N){let d,v,m,f,_;return{c(){d=s("p"),v=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=i("Module"),_=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=a(n,"P",{});var p=r(d);v=l(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(p,"CODE",{});var F=r(m);f=l(F,"Module"),F.forEach(o),_=l(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(o)},m(n,p){T(n,d,p),e(d,v),e(d,m),e(m,f),e(d,_)},d(n){n&&o(d)}}}function yh(N){let d,v,m,f,_;return f=new Q({props:{code:`from transformers import AutoTokenizer, TFGPTNeoForCausalLM
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("EleutherAI/gpt-neo-1.3B")
model = TFGPTNeoForCausalLM.from_pretrained("EleutherAI/gpt-neo-1.3B")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFGPTNeoForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFGPTNeoForCausalLM.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),v=i("Example:"),m=h(),b(f.$$.fragment)},l(n){d=a(n,"P",{});var p=r(d);v=l(p,"Example:"),p.forEach(o),m=u(n),y(f.$$.fragment,n)},m(n,p){T(n,d,p),e(d,v),T(n,m,p),k(f,n,p),_=!0},p:te,i(n){_||(w(f.$$.fragment,n),_=!0)},o(n){$(f.$$.fragment,n),_=!1},d(n){n&&o(d),n&&o(m),P(f,n)}}}function kh(N){let d,v,m,f,_;return{c(){d=s("p"),v=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=i("Module"),_=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=a(n,"P",{});var p=r(d);v=l(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(p,"CODE",{});var F=r(m);f=l(F,"Module"),F.forEach(o),_=l(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(o)},m(n,p){T(n,d,p),e(d,v),e(d,m),e(m,f),e(d,_)},d(n){n&&o(d)}}}function wh(N){let d,v,m,f,_;return f=new Q({props:{code:`from transformers import AutoTokenizer, TFGPTNeoForSequenceClassification
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("EleutherAI/gpt-neo-1.3B")
model = TFGPTNeoForSequenceClassification.from_pretrained("EleutherAI/gpt-neo-1.3B")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")

logits = model(**inputs).logits

predicted_class_id = int(tf.math.argmax(logits, axis=-1)[0])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFGPTNeoForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFGPTNeoForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = <span class="hljs-built_in">int</span>(tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])`}}),{c(){d=s("p"),v=i("Example:"),m=h(),b(f.$$.fragment)},l(n){d=a(n,"P",{});var p=r(d);v=l(p,"Example:"),p.forEach(o),m=u(n),y(f.$$.fragment,n)},m(n,p){T(n,d,p),e(d,v),T(n,m,p),k(f,n,p),_=!0},p:te,i(n){_||(w(f.$$.fragment,n),_=!0)},o(n){$(f.$$.fragment,n),_=!1},d(n){n&&o(d),n&&o(m),P(f,n)}}}function $h(N){let d,v;return d=new Q({props:{code:'# To train a model on `num_labels` classes, you can pass `num_labels=num_labels` to `.from_pretrained(...)`\nnum_labels = len(model.config.id2label)\nmodel = TFGPTNeoForSequenceClassification.from_pretrained("EleutherAI/gpt-neo-1.3B", num_labels=num_labels)\n\nlabels = tf.constant(1)\nloss = model(**inputs, labels=labels).loss',highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on `num_labels` classes, you can pass `num_labels=num_labels` to `.from_pretrained(...)`</span>\n<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)\n<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFGPTNeoForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>, num_labels=num_labels)\n\n<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tf.constant(<span class="hljs-number">1</span>)\n<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss'}}),{c(){b(d.$$.fragment)},l(m){y(d.$$.fragment,m)},m(m,f){k(d,m,f),v=!0},p:te,i(m){v||(w(d.$$.fragment,m),v=!0)},o(m){$(d.$$.fragment,m),v=!1},d(m){P(d,m)}}}function Ph(N){let d,v,m,f,_;return{c(){d=s("p"),v=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=i("Module"),_=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=a(n,"P",{});var p=r(d);v=l(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(p,"CODE",{});var F=r(m);f=l(F,"Module"),F.forEach(o),_=l(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(o)},m(n,p){T(n,d,p),e(d,v),e(d,m),e(m,f),e(d,_)},d(n){n&&o(d)}}}function Nh(N){let d,v,m,f,_;return f=new Q({props:{code:`from transformers import AutoTokenizer, FlaxGPTNeoModel

tokenizer = AutoTokenizer.from_pretrained("EleutherAI/gpt-neo-1.3B")
model = FlaxGPTNeoModel.from_pretrained("EleutherAI/gpt-neo-1.3B")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxGPTNeoModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxGPTNeoModel.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=s("p"),v=i("Example:"),m=h(),b(f.$$.fragment)},l(n){d=a(n,"P",{});var p=r(d);v=l(p,"Example:"),p.forEach(o),m=u(n),y(f.$$.fragment,n)},m(n,p){T(n,d,p),e(d,v),T(n,m,p),k(f,n,p),_=!0},p:te,i(n){_||(w(f.$$.fragment,n),_=!0)},o(n){$(f.$$.fragment,n),_=!1},d(n){n&&o(d),n&&o(m),P(f,n)}}}function Fh(N){let d,v,m,f,_;return{c(){d=s("p"),v=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=s("code"),f=i("Module"),_=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=a(n,"P",{});var p=r(d);v=l(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(p,"CODE",{});var F=r(m);f=l(F,"Module"),F.forEach(o),_=l(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(o)},m(n,p){T(n,d,p),e(d,v),e(d,m),e(m,f),e(d,_)},d(n){n&&o(d)}}}function xh(N){let d,v,m,f,_;return f=new Q({props:{code:`from transformers import AutoTokenizer, FlaxGPTNeoForCausalLM

tokenizer = AutoTokenizer.from_pretrained("EleutherAI/gpt-neo-1.3B")
model = FlaxGPTNeoForCausalLM.from_pretrained("EleutherAI/gpt-neo-1.3B")

inputs = tokenizer("Hello, my dog is cute", return_tensors="np")
outputs = model(**inputs)

# retrieve logts for next token
next_token_logits = outputs.logits[:, -1]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxGPTNeoForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxGPTNeoForCausalLM.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve logts for next token</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>next_token_logits = outputs.logits[:, -<span class="hljs-number">1</span>]`}}),{c(){d=s("p"),v=i("Example:"),m=h(),b(f.$$.fragment)},l(n){d=a(n,"P",{});var p=r(d);v=l(p,"Example:"),p.forEach(o),m=u(n),y(f.$$.fragment,n)},m(n,p){T(n,d,p),e(d,v),T(n,m,p),k(f,n,p),_=!0},p:te,i(n){_||(w(f.$$.fragment,n),_=!0)},o(n){$(f.$$.fragment,n),_=!1},d(n){n&&o(d),n&&o(m),P(f,n)}}}function Gh(N){let d,v,m,f,_,n,p,F,Oa,Ls,pe,Ee,yn,$t,Da,kn,Ba,Os,oe,Wa,Pt,Ha,Ua,Nt,Va,Ja,Ds,Bo,Ka,Bs,Ae,Ra,Ft,Xa,Qa,Ws,he,je,wn,xt,Ya,$n,Za,Hs,Ie,er,Pn,tr,or,Us,Gt,Vs,ue,Se,Nn,Mt,nr,Fn,sr,Js,Le,xn,Wo,ar,rr,Gn,Ho,ir,Ks,fe,Oe,Mn,Ct,lr,Cn,dr,Rs,B,qt,cr,me,pr,Uo,hr,ur,zt,fr,mr,gr,ge,_r,Vo,Tr,vr,Jo,br,yr,kr,De,Xs,_e,Be,qn,Et,wr,zn,$r,Qs,q,At,Pr,En,Nr,Fr,jt,xr,Ko,Gr,Mr,Cr,It,qr,St,zr,Er,Ar,U,Lt,jr,Te,Ir,Ro,Sr,Lr,An,Or,Dr,Br,We,Wr,He,Ys,ve,Ue,jn,Ot,Hr,In,Ur,Zs,z,Dt,Vr,Sn,Jr,Kr,Bt,Rr,Xo,Xr,Qr,Yr,Wt,Zr,Ht,ei,ti,oi,V,Ut,ni,be,si,Qo,ai,ri,Ln,ii,li,di,Ve,ci,Je,ea,ye,Ke,On,Vt,pi,Dn,hi,ta,x,Jt,ui,Bn,fi,mi,Yo,Zo,gi,_i,Ti,W,vi,Wn,bi,yi,Hn,ki,wi,Un,$i,Pi,Vn,Ni,Fi,xi,Kt,Gi,en,Mi,Ci,qi,Rt,zi,Xt,Ei,Ai,ji,I,Qt,Ii,ke,Si,tn,Li,Oi,Jn,Di,Bi,Wi,Re,Hi,Xe,Ui,Qe,oa,we,Ye,Kn,Yt,Vi,Rn,Ji,na,E,Zt,Ki,Xn,Ri,Xi,eo,Qi,on,Yi,Zi,el,to,tl,oo,ol,nl,sl,J,no,al,$e,rl,nn,il,ll,Qn,dl,cl,pl,Ze,hl,et,sa,Pe,tt,Yn,so,ul,Zn,fl,aa,A,ao,ml,es,gl,_l,ro,Tl,sn,vl,bl,yl,io,kl,lo,wl,$l,Pl,K,co,Nl,Ne,Fl,an,xl,Gl,ts,Ml,Cl,ql,ot,zl,nt,ra,Fe,st,os,po,El,ns,Al,ia,j,ho,jl,ss,Il,Sl,uo,Ll,rn,Ol,Dl,Bl,fo,Wl,mo,Hl,Ul,Vl,S,go,Jl,xe,Kl,ln,Rl,Xl,as,Ql,Yl,Zl,at,ed,rt,td,it,la,Ge,lt,rs,_o,od,is,nd,da,G,To,sd,ls,ad,rd,vo,id,dn,ld,dd,cd,bo,pd,yo,hd,ud,fd,ds,md,gd,Y,cs,ko,_d,Td,ps,wo,vd,bd,hs,$o,yd,kd,us,Po,wd,$d,R,No,Pd,Me,Nd,fs,Fd,xd,ms,Gd,Md,Cd,dt,qd,ct,ca,Ce,pt,gs,Fo,zd,_s,Ed,pa,M,xo,Ad,Ts,jd,Id,Go,Sd,cn,Ld,Od,Dd,Mo,Bd,Co,Wd,Hd,Ud,vs,Vd,Jd,Z,bs,qo,Kd,Rd,ys,zo,Xd,Qd,ks,Eo,Yd,Zd,ws,Ao,ec,tc,X,jo,oc,qe,nc,$s,sc,ac,Ps,rc,ic,lc,ht,dc,ut,ha;return n=new H({}),$t=new H({}),xt=new H({}),Gt=new Q({props:{code:`from transformers import GPTNeoForCausalLM, GPT2Tokenizer

model = GPTNeoForCausalLM.from_pretrained("EleutherAI/gpt-neo-1.3B")
tokenizer = GPT2Tokenizer.from_pretrained("EleutherAI/gpt-neo-1.3B")

prompt = (
    "In a shocking finding, scientists discovered a herd of unicorns living in a remote, "
    "previously unexplored valley, in the Andes Mountains. Even more surprising to the "
    "researchers was the fact that the unicorns spoke perfect English."
)

input_ids = tokenizer(prompt, return_tensors="pt").input_ids

gen_tokens = model.generate(
    input_ids,
    do_sample=True,
    temperature=0.9,
    max_length=100,
)
gen_text = tokenizer.batch_decode(gen_tokens)[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> GPTNeoForCausalLM, GPT2Tokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span>model = GPTNeoForCausalLM.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = GPT2Tokenizer.from_pretrained(<span class="hljs-string">&quot;EleutherAI/gpt-neo-1.3B&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = (
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;In a shocking finding, scientists discovered a herd of unicorns living in a remote, &quot;</span>
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;previously unexplored valley, in the Andes Mountains. Even more surprising to the &quot;</span>
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;researchers was the fact that the unicorns spoke perfect English.&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(prompt, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(
<span class="hljs-meta">... </span>    input_ids,
<span class="hljs-meta">... </span>    do_sample=<span class="hljs-literal">True</span>,
<span class="hljs-meta">... </span>    temperature=<span class="hljs-number">0.9</span>,
<span class="hljs-meta">... </span>    max_length=<span class="hljs-number">100</span>,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>gen_text = tokenizer.batch_decode(gen_tokens)[<span class="hljs-number">0</span>]`}}),Mt=new H({}),Ct=new H({}),qt=new C({props:{name:"class transformers.GPTNeoConfig",anchor:"transformers.GPTNeoConfig",parameters:[{name:"vocab_size",val:" = 50257"},{name:"max_position_embeddings",val:" = 2048"},{name:"hidden_size",val:" = 2048"},{name:"num_layers",val:" = 24"},{name:"attention_types",val:" = [[['global', 'local'], 12]]"},{name:"num_heads",val:" = 16"},{name:"intermediate_size",val:" = None"},{name:"window_size",val:" = 256"},{name:"activation_function",val:" = 'gelu_new'"},{name:"resid_dropout",val:" = 0.0"},{name:"embed_dropout",val:" = 0.0"},{name:"attention_dropout",val:" = 0.0"},{name:"layer_norm_epsilon",val:" = 1e-05"},{name:"initializer_range",val:" = 0.02"},{name:"use_cache",val:" = True"},{name:"bos_token_id",val:" = 50256"},{name:"eos_token_id",val:" = 50256"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.GPTNeoConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 50257) &#x2014;
Vocabulary size of the GPT Neo model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoModel">GPTNeoModel</a>. Vocabulary size of the model. Defines the different
tokens that can be represented by the <em>inputs_ids</em> passed to the forward method of <a href="/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoModel">GPTNeoModel</a>.`,name:"vocab_size"},{anchor:"transformers.GPTNeoConfig.attention_types",description:`<strong>attention_types</strong> (<code>List</code>, <em>optional</em>, defaults to <code>[[[&quot;global&quot;, &quot;local&quot;], 12]]</code>) &#x2014;
The type of attention for each layer in a <code>List</code> of the following format <code>[[[&quot;attention_type&quot;], num_layerss]]</code> e.g. for a 24 layer model <code>[[[&quot;global&quot;], 24]]</code> or <code>[[[&quot;global&quot;, &quot;local&quot;], 12]]</code> Choose the
value of <code>attention_type</code> from <code>[&quot;global&quot;, &quot;local&quot;]</code>`,name:"attention_types"},{anchor:"transformers.GPTNeoConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 2048) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.GPTNeoConfig.num_layers",description:`<strong>num_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 24) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_layers"},{anchor:"transformers.GPTNeoConfig.num_heads",description:`<strong>num_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_heads"},{anchor:"transformers.GPTNeoConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 8192) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.GPTNeoConfig.activation_function",description:`<strong>activation_function</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu_new&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"activation_function"},{anchor:"transformers.GPTNeoConfig.embed_dropout",description:`<strong>embed_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probabilitiy for all fully connected layers in the embeddings, encoder, and pooler.`,name:"embed_dropout"},{anchor:"transformers.GPTNeoConfig.attention_dropout",description:`<strong>attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_dropout"},{anchor:"transformers.GPTNeoConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 2048) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.GPTNeoConfig.type_vocab_size",description:`<strong>type_vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The vocabulary size of the <code>token_type_ids</code> passed when calling <a href="/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoModel">GPTNeoModel</a>.`,name:"type_vocab_size"},{anchor:"transformers.GPTNeoConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.GPTNeoConfig.layer_norm_epsilon",description:`<strong>layer_norm_epsilon</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-5) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_epsilon"},{anchor:"transformers.GPTNeoConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models). Only
relevant if <code>config.is_decoder=True</code>.`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/vr_22365/src/transformers/models/gpt_neo/configuration_gpt_neo.py#L34"}}),De=new ee({props:{anchor:"transformers.GPTNeoConfig.example",$$slots:{default:[ch]},$$scope:{ctx:N}}}),Et=new H({}),At=new C({props:{name:"class transformers.GPTNeoModel",anchor:"transformers.GPTNeoModel",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.GPTNeoModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoConfig">GPTNeoConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22365/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22365/src/transformers/models/gpt_neo/modeling_gpt_neo.py#L474"}}),Lt=new C({props:{name:"forward",anchor:"transformers.GPTNeoModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.GPTNeoModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, input_ids_length)</code>) &#x2014;
<code>input_ids_length</code> = <code>sequence_length</code> if <code>past_key_values</code> is <code>None</code> else
<code>past_key_values[0][0].shape[-2]</code> (<code>sequence_length</code> of input past key value states). Indices of input
sequence tokens in the vocabulary.</p>
<p>If <code>past_key_values</code> is used, only <code>input_ids</code> that do not have their past calculated should be passed as
<code>input_ids</code>.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22365/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22365/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22365/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.GPTNeoModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[torch.Tensor]]</code> of length <code>config.num_layers</code>) &#x2014;
Contains precomputed hidden-states (key and values in the attention blocks) as computed by the model (see
<code>past_key_values</code> output below). Can be used to speed up sequential decoding. The <code>input_ids</code> which have
their past given to this model should not be passed as <code>input_ids</code> as they have already been computed.`,name:"past_key_values"},{anchor:"transformers.GPTNeoModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.GPTNeoModel.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, input_ids_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.GPTNeoModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.GPTNeoModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.GPTNeoModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>past_key_values</code> is used, optionally only the last <code>inputs_embeds</code> have to be input (see
<code>past_key_values</code>).`,name:"inputs_embeds"},{anchor:"transformers.GPTNeoModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.GPTNeoModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.GPTNeoModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.GPTNeoModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22365/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22365/src/transformers/models/gpt_neo/modeling_gpt_neo.py#L495",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22365/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPastAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoConfig"
>GPTNeoConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22365/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPastAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),We=new wt({props:{$$slots:{default:[ph]},$$scope:{ctx:N}}}),He=new ee({props:{anchor:"transformers.GPTNeoModel.forward.example",$$slots:{default:[hh]},$$scope:{ctx:N}}}),Ot=new H({}),Dt=new C({props:{name:"class transformers.GPTNeoForCausalLM",anchor:"transformers.GPTNeoForCausalLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.GPTNeoForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoConfig">GPTNeoConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22365/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22365/src/transformers/models/gpt_neo/modeling_gpt_neo.py#L662"}}),Ut=new C({props:{name:"forward",anchor:"transformers.GPTNeoForCausalLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.GPTNeoForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, input_ids_length)</code>) &#x2014;
<code>input_ids_length</code> = <code>sequence_length</code> if <code>past_key_values</code> is <code>None</code> else
<code>past_key_values[0][0].shape[-2]</code> (<code>sequence_length</code> of input past key value states). Indices of input
sequence tokens in the vocabulary.</p>
<p>If <code>past_key_values</code> is used, only <code>input_ids</code> that do not have their past calculated should be passed as
<code>input_ids</code>.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22365/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22365/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22365/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.GPTNeoForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[torch.Tensor]]</code> of length <code>config.num_layers</code>) &#x2014;
Contains precomputed hidden-states (key and values in the attention blocks) as computed by the model (see
<code>past_key_values</code> output below). Can be used to speed up sequential decoding. The <code>input_ids</code> which have
their past given to this model should not be passed as <code>input_ids</code> as they have already been computed.`,name:"past_key_values"},{anchor:"transformers.GPTNeoForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.GPTNeoForCausalLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, input_ids_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.GPTNeoForCausalLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.GPTNeoForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.GPTNeoForCausalLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>past_key_values</code> is used, optionally only the last <code>inputs_embeds</code> have to be input (see
<code>past_key_values</code>).`,name:"inputs_embeds"},{anchor:"transformers.GPTNeoForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.GPTNeoForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.GPTNeoForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.GPTNeoForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22365/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.GPTNeoForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for language modeling. Note that the labels <strong>are shifted</strong> inside the model, i.e. you can set
<code>labels = input_ids</code> Indices are selected in <code>[-100, 0, ..., config.vocab_size]</code> All labels set to <code>-100</code>
are ignored (masked), the loss is only computed for labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22365/src/transformers/models/gpt_neo/modeling_gpt_neo.py#L712",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22365/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoConfig"
>GPTNeoConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key,
value states of the self-attention and the cross-attention layers if model is used in encoder-decoder
setting. Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22365/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ve=new wt({props:{$$slots:{default:[uh]},$$scope:{ctx:N}}}),Je=new ee({props:{anchor:"transformers.GPTNeoForCausalLM.forward.example",$$slots:{default:[fh]},$$scope:{ctx:N}}}),Vt=new H({}),Jt=new C({props:{name:"class transformers.GPTNeoForSequenceClassification",anchor:"transformers.GPTNeoForSequenceClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.GPTNeoForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoConfig">GPTNeoConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22365/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22365/src/transformers/models/gpt_neo/modeling_gpt_neo.py#L816"}}),Qt=new C({props:{name:"forward",anchor:"transformers.GPTNeoForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.GPTNeoForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, input_ids_length)</code>) &#x2014;
<code>input_ids_length</code> = <code>sequence_length</code> if <code>past_key_values</code> is <code>None</code> else
<code>past_key_values[0][0].shape[-2]</code> (<code>sequence_length</code> of input past key value states). Indices of input
sequence tokens in the vocabulary.</p>
<p>If <code>past_key_values</code> is used, only <code>input_ids</code> that do not have their past calculated should be passed as
<code>input_ids</code>.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22365/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22365/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22365/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.GPTNeoForSequenceClassification.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[torch.Tensor]]</code> of length <code>config.num_layers</code>) &#x2014;
Contains precomputed hidden-states (key and values in the attention blocks) as computed by the model (see
<code>past_key_values</code> output below). Can be used to speed up sequential decoding. The <code>input_ids</code> which have
their past given to this model should not be passed as <code>input_ids</code> as they have already been computed.`,name:"past_key_values"},{anchor:"transformers.GPTNeoForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.GPTNeoForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, input_ids_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.GPTNeoForSequenceClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.GPTNeoForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.GPTNeoForSequenceClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>past_key_values</code> is used, optionally only the last <code>inputs_embeds</code> have to be input (see
<code>past_key_values</code>).`,name:"inputs_embeds"},{anchor:"transformers.GPTNeoForSequenceClassification.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.GPTNeoForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.GPTNeoForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.GPTNeoForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22365/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.GPTNeoForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22365/src/transformers/models/gpt_neo/modeling_gpt_neo.py#L828",returnDescription:`
<p>A <code>transformers.modeling_outputs.SequenceClassifierOutputWithPast</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoConfig"
>GPTNeoConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>)</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_outputs.SequenceClassifierOutputWithPast</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Re=new wt({props:{$$slots:{default:[mh]},$$scope:{ctx:N}}}),Xe=new ee({props:{anchor:"transformers.GPTNeoForSequenceClassification.forward.example",$$slots:{default:[gh]},$$scope:{ctx:N}}}),Qe=new ee({props:{anchor:"transformers.GPTNeoForSequenceClassification.forward.example-2",$$slots:{default:[_h]},$$scope:{ctx:N}}}),Yt=new H({}),Zt=new C({props:{name:"class transformers.TFGPTNeoModel",anchor:"transformers.TFGPTNeoModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFGPTNeoModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoConfig">GPTNeoConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22365/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22365/src/transformers/models/gpt_neo/modeling_tf_gpt_neo.py#L340"}}),no=new C({props:{name:"call",anchor:"transformers.TFGPTNeoModel.call",parameters:[{name:"input_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[tensorflow.python.framework.ops.Tensor]] = None"},{name:"attention_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"position_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.TFGPTNeoModel.call.input_ids",description:`<strong>input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, input_ids_length)</code>) &#x2014;
<code>input_ids_length</code> = <code>sequence_length</code> if <code>past_key_values</code> is <code>None</code> else
<code>past_key_values[0][0].shape[-2]</code> (<code>sequence_length</code> of input past key value states). Indices of input
sequence tokens in the vocabulary.</p>
<p>If <code>past_key_values</code> is used, only <code>input_ids</code> that do not have their past calculated should be passed as
<code>input_ids</code>.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22365/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22365/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22365/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFGPTNeoModel.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.num_layers</code>) &#x2014;
Contains precomputed hidden-states (key and values in the attention blocks) as computed by the model (see
<code>past_key_values</code> output below). Can be used to speed up sequential decoding. The <code>input_ids</code> which have
their past given to this model should not be passed as <code>input_ids</code> as they have already been computed.`,name:"past_key_values"},{anchor:"transformers.TFGPTNeoModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFGPTNeoModel.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, input_ids_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFGPTNeoModel.call.position_ids",description:`<strong>position_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFGPTNeoModel.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>past_key_values</code> is used, optionally only the last <code>inputs_embeds</code> have to be input (see
<code>past_key_values</code>).`,name:"inputs_embeds"},{anchor:"transformers.TFGPTNeoModel.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.TFGPTNeoModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.TFGPTNeoModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TFGPTNeoModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22365/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22365/src/transformers/models/gpt_neo/modeling_tf_gpt_neo.py#L357",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22365/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPastAndCrossAttentions</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoConfig"
>GPTNeoConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22365/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPastAndCrossAttentions</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Ze=new wt({props:{$$slots:{default:[Th]},$$scope:{ctx:N}}}),et=new ee({props:{anchor:"transformers.TFGPTNeoModel.call.example",$$slots:{default:[vh]},$$scope:{ctx:N}}}),so=new H({}),ao=new C({props:{name:"class transformers.TFGPTNeoForCausalLM",anchor:"transformers.TFGPTNeoForCausalLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFGPTNeoForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoConfig">GPTNeoConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22365/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22365/src/transformers/models/gpt_neo/modeling_tf_gpt_neo.py#L461"}}),co=new C({props:{name:"call",anchor:"transformers.TFGPTNeoForCausalLM.call",parameters:[{name:"input_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[tensorflow.python.framework.ops.Tensor]] = None"},{name:"attention_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"position_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"labels",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.TFGPTNeoForCausalLM.call.input_ids",description:`<strong>input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, input_ids_length)</code>) &#x2014;
<code>input_ids_length</code> = <code>sequence_length</code> if <code>past_key_values</code> is <code>None</code> else
<code>past_key_values[0][0].shape[-2]</code> (<code>sequence_length</code> of input past key value states). Indices of input
sequence tokens in the vocabulary.</p>
<p>If <code>past_key_values</code> is used, only <code>input_ids</code> that do not have their past calculated should be passed as
<code>input_ids</code>.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22365/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22365/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22365/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFGPTNeoForCausalLM.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.num_layers</code>) &#x2014;
Contains precomputed hidden-states (key and values in the attention blocks) as computed by the model (see
<code>past_key_values</code> output below). Can be used to speed up sequential decoding. The <code>input_ids</code> which have
their past given to this model should not be passed as <code>input_ids</code> as they have already been computed.`,name:"past_key_values"},{anchor:"transformers.TFGPTNeoForCausalLM.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFGPTNeoForCausalLM.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, input_ids_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFGPTNeoForCausalLM.call.position_ids",description:`<strong>position_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFGPTNeoForCausalLM.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>past_key_values</code> is used, optionally only the last <code>inputs_embeds</code> have to be input (see
<code>past_key_values</code>).`,name:"inputs_embeds"},{anchor:"transformers.TFGPTNeoForCausalLM.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.TFGPTNeoForCausalLM.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.TFGPTNeoForCausalLM.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TFGPTNeoForCausalLM.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22365/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.TFGPTNeoForCausalLM.call.labels",description:`<strong>labels</strong> (tf.Tensor of shape (batch_size, sequence_length), optional) &#x2014;
Labels for language modeling. Note that the labels <strong>are shifted</strong> inside the model, i.e. you can set
labels = input_ids Indices are selected in [-100, 0, &#x2026;, config.vocab_size] All labels set to -100 are
ignored (masked), the loss is only computed for labels in [0, &#x2026;, config.vocab_size]`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22365/src/transformers/models/gpt_neo/modeling_tf_gpt_neo.py#L506",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22365/en/main_classes/output#transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions"
>transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoConfig"
>GPTNeoConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22365/en/main_classes/output#transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions"
>transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions</a> or <code>tuple(tf.Tensor)</code></p>
`}}),ot=new wt({props:{$$slots:{default:[bh]},$$scope:{ctx:N}}}),nt=new ee({props:{anchor:"transformers.TFGPTNeoForCausalLM.call.example",$$slots:{default:[yh]},$$scope:{ctx:N}}}),po=new H({}),ho=new C({props:{name:"class transformers.TFGPTNeoForSequenceClassification",anchor:"transformers.TFGPTNeoForSequenceClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFGPTNeoForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoConfig">GPTNeoConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22365/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22365/src/transformers/models/gpt_neo/modeling_tf_gpt_neo.py#L600"}}),go=new C({props:{name:"call",anchor:"transformers.TFGPTNeoForSequenceClassification.call",parameters:[{name:"input_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[tensorflow.python.framework.ops.Tensor]] = None"},{name:"attention_mask",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"position_ids",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"labels",val:": typing.Optional[tensorflow.python.framework.ops.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFGPTNeoForSequenceClassification.call.input_ids",description:`<strong>input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, input_ids_length)</code>) &#x2014;
<code>input_ids_length</code> = <code>sequence_length</code> if <code>past_key_values</code> is <code>None</code> else
<code>past_key_values[0][0].shape[-2]</code> (<code>sequence_length</code> of input past key value states). Indices of input
sequence tokens in the vocabulary.</p>
<p>If <code>past_key_values</code> is used, only <code>input_ids</code> that do not have their past calculated should be passed as
<code>input_ids</code>.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22365/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22365/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22365/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFGPTNeoForSequenceClassification.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.num_layers</code>) &#x2014;
Contains precomputed hidden-states (key and values in the attention blocks) as computed by the model (see
<code>past_key_values</code> output below). Can be used to speed up sequential decoding. The <code>input_ids</code> which have
their past given to this model should not be passed as <code>input_ids</code> as they have already been computed.`,name:"past_key_values"},{anchor:"transformers.TFGPTNeoForSequenceClassification.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFGPTNeoForSequenceClassification.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, input_ids_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFGPTNeoForSequenceClassification.call.position_ids",description:`<strong>position_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFGPTNeoForSequenceClassification.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>past_key_values</code> is used, optionally only the last <code>inputs_embeds</code> have to be input (see
<code>past_key_values</code>).`,name:"inputs_embeds"},{anchor:"transformers.TFGPTNeoForSequenceClassification.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.TFGPTNeoForSequenceClassification.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.TFGPTNeoForSequenceClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TFGPTNeoForSequenceClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22365/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.TFGPTNeoForSequenceClassification.call.labels",description:`<strong>labels</strong> (tf.Tensor of shape (batch_size,), optional) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If config.num_labels == 1 a regression loss is computed (Mean-Square loss), If
config.num_labels &gt; 1 a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22365/src/transformers/models/gpt_neo/modeling_tf_gpt_neo.py#L611",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22365/en/model_doc/gpt2#transformers.modeling_tf_outputs.TFSequenceClassifierOutputWithPast"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutputWithPast</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoConfig"
>GPTNeoConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22365/en/model_doc/gpt2#transformers.modeling_tf_outputs.TFSequenceClassifierOutputWithPast"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutputWithPast</a> or <code>tuple(tf.Tensor)</code></p>
`}}),at=new wt({props:{$$slots:{default:[kh]},$$scope:{ctx:N}}}),rt=new ee({props:{anchor:"transformers.TFGPTNeoForSequenceClassification.call.example",$$slots:{default:[wh]},$$scope:{ctx:N}}}),it=new ee({props:{anchor:"transformers.TFGPTNeoForSequenceClassification.call.example-2",$$slots:{default:[$h]},$$scope:{ctx:N}}}),_o=new H({}),To=new C({props:{name:"class transformers.FlaxGPTNeoModel",anchor:"transformers.FlaxGPTNeoModel",parameters:[{name:"config",val:": GPTNeoConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxGPTNeoModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoConfig">GPTNeoConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22365/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxGPTNeoModel.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/pr_22365/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/pr_22365/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/vr_22365/src/transformers/models/gpt_neo/modeling_flax_gpt_neo.py#L591"}}),No=new C({props:{name:"__call__",anchor:"transformers.FlaxGPTNeoModel.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"past_key_values",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxGPTNeoModel.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, input_ids_length)</code>) &#x2014;
<code>input_ids_length</code> = <code>sequence_length</code>. Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22365/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22365/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22365/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxGPTNeoModel.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxGPTNeoModel.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxGPTNeoModel.__call__.past_key_values",description:`<strong>past_key_values</strong> (<code>Dict[str, np.ndarray]</code>, <em>optional</em>, returned by <code>init_cache</code> or when passing previous <code>past_key_values</code>) &#x2014;
Dictionary of pre-computed hidden-states (key and values in the attention blocks) that can be used for fast
auto-regressive decoding. Pre-computed key and value hidden-states are of shape <em>[batch_size, max_length]</em>.`,name:"past_key_values"},{anchor:"transformers.FlaxGPTNeoModel.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxGPTNeoModel.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxGPTNeoModel.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22365/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22365/src/transformers/models/gpt_neo/modeling_flax_gpt_neo.py#L401",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22365/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoConfig"
>GPTNeoConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22365/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),dt=new wt({props:{$$slots:{default:[Ph]},$$scope:{ctx:N}}}),ct=new ee({props:{anchor:"transformers.FlaxGPTNeoModel.__call__.example",$$slots:{default:[Nh]},$$scope:{ctx:N}}}),Fo=new H({}),xo=new C({props:{name:"class transformers.FlaxGPTNeoForCausalLM",anchor:"transformers.FlaxGPTNeoForCausalLM",parameters:[{name:"config",val:": GPTNeoConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxGPTNeoForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoConfig">GPTNeoConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22365/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxGPTNeoForCausalLM.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/pr_22365/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/pr_22365/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/vr_22365/src/transformers/models/gpt_neo/modeling_flax_gpt_neo.py#L654"}}),jo=new C({props:{name:"__call__",anchor:"transformers.FlaxGPTNeoForCausalLM.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"past_key_values",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxGPTNeoForCausalLM.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, input_ids_length)</code>) &#x2014;
<code>input_ids_length</code> = <code>sequence_length</code>. Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/pr_22365/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/pr_22365/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/pr_22365/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxGPTNeoForCausalLM.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxGPTNeoForCausalLM.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxGPTNeoForCausalLM.__call__.past_key_values",description:`<strong>past_key_values</strong> (<code>Dict[str, np.ndarray]</code>, <em>optional</em>, returned by <code>init_cache</code> or when passing previous <code>past_key_values</code>) &#x2014;
Dictionary of pre-computed hidden-states (key and values in the attention blocks) that can be used for fast
auto-regressive decoding. Pre-computed key and value hidden-states are of shape <em>[batch_size, max_length]</em>.`,name:"past_key_values"},{anchor:"transformers.FlaxGPTNeoForCausalLM.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxGPTNeoForCausalLM.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxGPTNeoForCausalLM.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22365/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22365/src/transformers/models/gpt_neo/modeling_flax_gpt_neo.py#L401",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22365/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMaskedLMOutput"
>transformers.modeling_flax_outputs.FlaxMaskedLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoConfig"
>GPTNeoConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22365/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMaskedLMOutput"
>transformers.modeling_flax_outputs.FlaxMaskedLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ht=new wt({props:{$$slots:{default:[Fh]},$$scope:{ctx:N}}}),ut=new ee({props:{anchor:"transformers.FlaxGPTNeoForCausalLM.__call__.example",$$slots:{default:[xh]},$$scope:{ctx:N}}}),{c(){d=s("meta"),v=h(),m=s("h1"),f=s("a"),_=s("span"),b(n.$$.fragment),p=h(),F=s("span"),Oa=i("GPT Neo"),Ls=h(),pe=s("h2"),Ee=s("a"),yn=s("span"),b($t.$$.fragment),Da=h(),kn=s("span"),Ba=i("Overview"),Os=h(),oe=s("p"),Wa=i("The GPTNeo model was released in the "),Pt=s("a"),Ha=i("EleutherAI/gpt-neo"),Ua=i(` repository by Sid
Black, Stella Biderman, Leo Gao, Phil Wang and Connor Leahy. It is a GPT2 like causal language model trained on the
`),Nt=s("a"),Va=i("Pile"),Ja=i(" dataset."),Ds=h(),Bo=s("p"),Ka=i(`The architecture is similar to GPT2 except that GPT Neo uses local attention in every other layer with a window size of
256 tokens.`),Bs=h(),Ae=s("p"),Ra=i("This model was contributed by "),Ft=s("a"),Xa=i("valhalla"),Qa=i("."),Ws=h(),he=s("h3"),je=s("a"),wn=s("span"),b(xt.$$.fragment),Ya=h(),$n=s("span"),Za=i("Generation"),Hs=h(),Ie=s("p"),er=i("The "),Pn=s("code"),tr=i("generate()"),or=i(" method can be used to generate text using GPT Neo model."),Us=h(),b(Gt.$$.fragment),Vs=h(),ue=s("h2"),Se=s("a"),Nn=s("span"),b(Mt.$$.fragment),nr=h(),Fn=s("span"),sr=i("Documentation resources"),Js=h(),Le=s("ul"),xn=s("li"),Wo=s("a"),ar=i("Text classification task guide"),rr=h(),Gn=s("li"),Ho=s("a"),ir=i("Causal language modeling task guide"),Ks=h(),fe=s("h2"),Oe=s("a"),Mn=s("span"),b(Ct.$$.fragment),lr=h(),Cn=s("span"),dr=i("GPTNeoConfig"),Rs=h(),B=s("div"),b(qt.$$.fragment),cr=h(),me=s("p"),pr=i("This is the configuration class to store the configuration of a "),Uo=s("a"),hr=i("GPTNeoModel"),ur=i(`. It is used to instantiate a GPT
Neo model according to the specified arguments, defining the model architecture. Instantiating a configuration with
the defaults will yield a similar configuration to that of the GPTNeo
`),zt=s("a"),fr=i("EleutherAI/gpt-neo-1.3B"),mr=i(" architecture."),gr=h(),ge=s("p"),_r=i("Configuration objects inherit from "),Vo=s("a"),Tr=i("PretrainedConfig"),vr=i(` and can be used to control the model outputs. Read the
documentation from `),Jo=s("a"),br=i("PretrainedConfig"),yr=i(" for more information."),kr=h(),b(De.$$.fragment),Xs=h(),_e=s("h2"),Be=s("a"),qn=s("span"),b(Et.$$.fragment),wr=h(),zn=s("span"),$r=i("GPTNeoModel"),Qs=h(),q=s("div"),b(At.$$.fragment),Pr=h(),En=s("p"),Nr=i("The bare GPT Neo Model transformer outputting raw hidden-states without any specific head on top."),Fr=h(),jt=s("p"),xr=i("This model inherits from "),Ko=s("a"),Gr=i("PreTrainedModel"),Mr=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Cr=h(),It=s("p"),qr=i("This model is also a PyTorch "),St=s("a"),zr=i("torch.nn.Module"),Er=i(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ar=h(),U=s("div"),b(Lt.$$.fragment),jr=h(),Te=s("p"),Ir=i("The "),Ro=s("a"),Sr=i("GPTNeoModel"),Lr=i(" forward method, overrides the "),An=s("code"),Or=i("__call__"),Dr=i(" special method."),Br=h(),b(We.$$.fragment),Wr=h(),b(He.$$.fragment),Ys=h(),ve=s("h2"),Ue=s("a"),jn=s("span"),b(Ot.$$.fragment),Hr=h(),In=s("span"),Ur=i("GPTNeoForCausalLM"),Zs=h(),z=s("div"),b(Dt.$$.fragment),Vr=h(),Sn=s("p"),Jr=i(`The GPT Neo Model transformer with a language modeling head on top (linear layer with weights tied to the input
embeddings).`),Kr=h(),Bt=s("p"),Rr=i("This model inherits from "),Xo=s("a"),Xr=i("PreTrainedModel"),Qr=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Yr=h(),Wt=s("p"),Zr=i("This model is also a PyTorch "),Ht=s("a"),ei=i("torch.nn.Module"),ti=i(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),oi=h(),V=s("div"),b(Ut.$$.fragment),ni=h(),be=s("p"),si=i("The "),Qo=s("a"),ai=i("GPTNeoForCausalLM"),ri=i(" forward method, overrides the "),Ln=s("code"),ii=i("__call__"),li=i(" special method."),di=h(),b(Ve.$$.fragment),ci=h(),b(Je.$$.fragment),ea=h(),ye=s("h2"),Ke=s("a"),On=s("span"),b(Vt.$$.fragment),pi=h(),Dn=s("span"),hi=i("GPTNeoForSequenceClassification"),ta=h(),x=s("div"),b(Jt.$$.fragment),ui=h(),Bn=s("p"),fi=i("The GPTNeo Model transformer with a sequence classification head on top (linear layer)."),mi=h(),Yo=s("p"),Zo=s("a"),gi=i("GPTNeoForSequenceClassification"),_i=i(` uses the last token in order to do the classification, as other causal models
(e.g. GPT-1) do.`),Ti=h(),W=s("p"),vi=i(`Since it does classification on the last token, it requires to know the position of the last token. If a
`),Wn=s("code"),bi=i("pad_token_id"),yi=i(` is defined in the configuration, it finds the last token that is not a padding token in each row. If
no `),Hn=s("code"),ki=i("pad_token_id"),wi=i(` is defined, it simply takes the last value in each row of the batch. Since it cannot guess the
padding tokens when `),Un=s("code"),$i=i("inputs_embeds"),Pi=i(" are passed instead of "),Vn=s("code"),Ni=i("input_ids"),Fi=i(`, it does the same (take the last value in
each row of the batch).`),xi=h(),Kt=s("p"),Gi=i("This model inherits from "),en=s("a"),Mi=i("PreTrainedModel"),Ci=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),qi=h(),Rt=s("p"),zi=i("This model is also a PyTorch "),Xt=s("a"),Ei=i("torch.nn.Module"),Ai=i(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ji=h(),I=s("div"),b(Qt.$$.fragment),Ii=h(),ke=s("p"),Si=i("The "),tn=s("a"),Li=i("GPTNeoForSequenceClassification"),Oi=i(" forward method, overrides the "),Jn=s("code"),Di=i("__call__"),Bi=i(" special method."),Wi=h(),b(Re.$$.fragment),Hi=h(),b(Xe.$$.fragment),Ui=h(),b(Qe.$$.fragment),oa=h(),we=s("h2"),Ye=s("a"),Kn=s("span"),b(Yt.$$.fragment),Vi=h(),Rn=s("span"),Ji=i("TFGPTNeoModel"),na=h(),E=s("div"),b(Zt.$$.fragment),Ki=h(),Xn=s("p"),Ri=i("The bare GPT Neo Model transformer outputting raw hidden-states without any specific head on top."),Xi=h(),eo=s("p"),Qi=i("This model inherits from "),on=s("a"),Yi=i("TFPreTrainedModel"),Zi=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),el=h(),to=s("p"),tl=i("This model is also a "),oo=s("a"),ol=i("tf.keras.Model"),nl=i(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),sl=h(),J=s("div"),b(no.$$.fragment),al=h(),$e=s("p"),rl=i("The "),nn=s("a"),il=i("TFGPTNeoModel"),ll=i(" forward method, overrides the "),Qn=s("code"),dl=i("__call__"),cl=i(" special method."),pl=h(),b(Ze.$$.fragment),hl=h(),b(et.$$.fragment),sa=h(),Pe=s("h2"),tt=s("a"),Yn=s("span"),b(so.$$.fragment),ul=h(),Zn=s("span"),fl=i("TFGPTNeoForCausalLM"),aa=h(),A=s("div"),b(ao.$$.fragment),ml=h(),es=s("p"),gl=i(`The GPT Neo Model transformer with a language modeling head on top (linear layer with weights tied to the input
embeddings).`),_l=h(),ro=s("p"),Tl=i("This model inherits from "),sn=s("a"),vl=i("TFPreTrainedModel"),bl=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),yl=h(),io=s("p"),kl=i("This model is also a "),lo=s("a"),wl=i("tf.keras.Model"),$l=i(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Pl=h(),K=s("div"),b(co.$$.fragment),Nl=h(),Ne=s("p"),Fl=i("The "),an=s("a"),xl=i("TFGPTNeoForCausalLM"),Gl=i(" forward method, overrides the "),ts=s("code"),Ml=i("__call__"),Cl=i(" special method."),ql=h(),b(ot.$$.fragment),zl=h(),b(nt.$$.fragment),ra=h(),Fe=s("h2"),st=s("a"),os=s("span"),b(po.$$.fragment),El=h(),ns=s("span"),Al=i("TFGPTNeoForSequenceClassification"),ia=h(),j=s("div"),b(ho.$$.fragment),jl=h(),ss=s("p"),Il=i(`The GPTNeo Model transformer with a sequence classification head on top (linear layer).
[TFGPTNeoForSequenceClassification] uses the last token in order to do the classification, as other causal models
(e.g. GPT-1) do. Since it does classification on the last token, it requires to know the position of the last
token. If a pad_token_id is defined in the configuration, it finds the last token that is not a padding token in
each row. If no pad_token_id is defined, it simply takes the last value in each row of the batch. Since it cannot
guess the padding tokens when inputs_embeds are passed instead of input_ids, it does the same (take the last value
in each row of the batch).`),Sl=h(),uo=s("p"),Ll=i("This model inherits from "),rn=s("a"),Ol=i("TFPreTrainedModel"),Dl=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Bl=h(),fo=s("p"),Wl=i("This model is also a "),mo=s("a"),Hl=i("tf.keras.Model"),Ul=i(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Vl=h(),S=s("div"),b(go.$$.fragment),Jl=h(),xe=s("p"),Kl=i("The "),ln=s("a"),Rl=i("TFGPTNeoForSequenceClassification"),Xl=i(" forward method, overrides the "),as=s("code"),Ql=i("__call__"),Yl=i(" special method."),Zl=h(),b(at.$$.fragment),ed=h(),b(rt.$$.fragment),td=h(),b(it.$$.fragment),la=h(),Ge=s("h2"),lt=s("a"),rs=s("span"),b(_o.$$.fragment),od=h(),is=s("span"),nd=i("FlaxGPTNeoModel"),da=h(),G=s("div"),b(To.$$.fragment),sd=h(),ls=s("p"),ad=i("The bare GPTNeo Model transformer outputting raw hidden-states without any specific head on top."),rd=h(),vo=s("p"),id=i("This model inherits from "),dn=s("a"),ld=i("FlaxPreTrainedModel"),dd=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),cd=h(),bo=s("p"),pd=i(`This model is also a Flax Linen
`),yo=s("a"),hd=i("flax.nn.Module"),ud=i(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),fd=h(),ds=s("p"),md=i("Finally, this model supports inherent JAX features such as:"),gd=h(),Y=s("ul"),cs=s("li"),ko=s("a"),_d=i("Just-In-Time (JIT) compilation"),Td=h(),ps=s("li"),wo=s("a"),vd=i("Automatic Differentiation"),bd=h(),hs=s("li"),$o=s("a"),yd=i("Vectorization"),kd=h(),us=s("li"),Po=s("a"),wd=i("Parallelization"),$d=h(),R=s("div"),b(No.$$.fragment),Pd=h(),Me=s("p"),Nd=i("The "),fs=s("code"),Fd=i("FlaxGPTNeoPreTrainedModel"),xd=i(" forward method, overrides the "),ms=s("code"),Gd=i("__call__"),Md=i(" special method."),Cd=h(),b(dt.$$.fragment),qd=h(),b(ct.$$.fragment),ca=h(),Ce=s("h2"),pt=s("a"),gs=s("span"),b(Fo.$$.fragment),zd=h(),_s=s("span"),Ed=i("FlaxGPTNeoForCausalLM"),pa=h(),M=s("div"),b(xo.$$.fragment),Ad=h(),Ts=s("p"),jd=i(`The GPTNeo Model transformer with a language modeling head on top (linear layer with weights tied to the input
embeddings).`),Id=h(),Go=s("p"),Sd=i("This model inherits from "),cn=s("a"),Ld=i("FlaxPreTrainedModel"),Od=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Dd=h(),Mo=s("p"),Bd=i(`This model is also a Flax Linen
`),Co=s("a"),Wd=i("flax.nn.Module"),Hd=i(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),Ud=h(),vs=s("p"),Vd=i("Finally, this model supports inherent JAX features such as:"),Jd=h(),Z=s("ul"),bs=s("li"),qo=s("a"),Kd=i("Just-In-Time (JIT) compilation"),Rd=h(),ys=s("li"),zo=s("a"),Xd=i("Automatic Differentiation"),Qd=h(),ks=s("li"),Eo=s("a"),Yd=i("Vectorization"),Zd=h(),ws=s("li"),Ao=s("a"),ec=i("Parallelization"),tc=h(),X=s("div"),b(jo.$$.fragment),oc=h(),qe=s("p"),nc=i("The "),$s=s("code"),sc=i("FlaxGPTNeoPreTrainedModel"),ac=i(" forward method, overrides the "),Ps=s("code"),rc=i("__call__"),ic=i(" special method."),lc=h(),b(ht.$$.fragment),dc=h(),b(ut.$$.fragment),this.h()},l(t){const g=lh('[data-svelte="svelte-1phssyn"]',document.head);d=a(g,"META",{name:!0,content:!0}),g.forEach(o),v=u(t),m=a(t,"H1",{class:!0});var Io=r(m);f=a(Io,"A",{id:!0,class:!0,href:!0});var Ns=r(f);_=a(Ns,"SPAN",{});var Fs=r(_);y(n.$$.fragment,Fs),Fs.forEach(o),Ns.forEach(o),p=u(Io),F=a(Io,"SPAN",{});var xs=r(F);Oa=l(xs,"GPT Neo"),xs.forEach(o),Io.forEach(o),Ls=u(t),pe=a(t,"H2",{class:!0});var So=r(pe);Ee=a(So,"A",{id:!0,class:!0,href:!0});var Gs=r(Ee);yn=a(Gs,"SPAN",{});var Ms=r(yn);y($t.$$.fragment,Ms),Ms.forEach(o),Gs.forEach(o),Da=u(So),kn=a(So,"SPAN",{});var Cs=r(kn);Ba=l(Cs,"Overview"),Cs.forEach(o),So.forEach(o),Os=u(t),oe=a(t,"P",{});var ze=r(oe);Wa=l(ze,"The GPTNeo model was released in the "),Pt=a(ze,"A",{href:!0,rel:!0});var qs=r(Pt);Ha=l(qs,"EleutherAI/gpt-neo"),qs.forEach(o),Ua=l(ze,` repository by Sid
Black, Stella Biderman, Leo Gao, Phil Wang and Connor Leahy. It is a GPT2 like causal language model trained on the
`),Nt=a(ze,"A",{href:!0,rel:!0});var zs=r(Nt);Va=l(zs,"Pile"),zs.forEach(o),Ja=l(ze," dataset."),ze.forEach(o),Ds=u(t),Bo=a(t,"P",{});var Es=r(Bo);Ka=l(Es,`The architecture is similar to GPT2 except that GPT Neo uses local attention in every other layer with a window size of
256 tokens.`),Es.forEach(o),Bs=u(t),Ae=a(t,"P",{});var Lo=r(Ae);Ra=l(Lo,"This model was contributed by "),Ft=a(Lo,"A",{href:!0,rel:!0});var As=r(Ft);Xa=l(As,"valhalla"),As.forEach(o),Qa=l(Lo,"."),Lo.forEach(o),Ws=u(t),he=a(t,"H3",{class:!0});var Oo=r(he);je=a(Oo,"A",{id:!0,class:!0,href:!0});var js=r(je);wn=a(js,"SPAN",{});var Is=r(wn);y(xt.$$.fragment,Is),Is.forEach(o),js.forEach(o),Ya=u(Oo),$n=a(Oo,"SPAN",{});var Ss=r($n);Za=l(Ss,"Generation"),Ss.forEach(o),Oo.forEach(o),Hs=u(t),Ie=a(t,"P",{});var Do=r(Ie);er=l(Do,"The "),Pn=a(Do,"CODE",{});var pc=r(Pn);tr=l(pc,"generate()"),pc.forEach(o),or=l(Do," method can be used to generate text using GPT Neo model."),Do.forEach(o),Us=u(t),y(Gt.$$.fragment,t),Vs=u(t),ue=a(t,"H2",{class:!0});var ua=r(ue);Se=a(ua,"A",{id:!0,class:!0,href:!0});var hc=r(Se);Nn=a(hc,"SPAN",{});var uc=r(Nn);y(Mt.$$.fragment,uc),uc.forEach(o),hc.forEach(o),nr=u(ua),Fn=a(ua,"SPAN",{});var fc=r(Fn);sr=l(fc,"Documentation resources"),fc.forEach(o),ua.forEach(o),Js=u(t),Le=a(t,"UL",{});var fa=r(Le);xn=a(fa,"LI",{});var mc=r(xn);Wo=a(mc,"A",{href:!0});var gc=r(Wo);ar=l(gc,"Text classification task guide"),gc.forEach(o),mc.forEach(o),rr=u(fa),Gn=a(fa,"LI",{});var _c=r(Gn);Ho=a(_c,"A",{href:!0});var Tc=r(Ho);ir=l(Tc,"Causal language modeling task guide"),Tc.forEach(o),_c.forEach(o),fa.forEach(o),Ks=u(t),fe=a(t,"H2",{class:!0});var ma=r(fe);Oe=a(ma,"A",{id:!0,class:!0,href:!0});var vc=r(Oe);Mn=a(vc,"SPAN",{});var bc=r(Mn);y(Ct.$$.fragment,bc),bc.forEach(o),vc.forEach(o),lr=u(ma),Cn=a(ma,"SPAN",{});var yc=r(Cn);dr=l(yc,"GPTNeoConfig"),yc.forEach(o),ma.forEach(o),Rs=u(t),B=a(t,"DIV",{class:!0});var ft=r(B);y(qt.$$.fragment,ft),cr=u(ft),me=a(ft,"P",{});var pn=r(me);pr=l(pn,"This is the configuration class to store the configuration of a "),Uo=a(pn,"A",{href:!0});var kc=r(Uo);hr=l(kc,"GPTNeoModel"),kc.forEach(o),ur=l(pn,`. It is used to instantiate a GPT
Neo model according to the specified arguments, defining the model architecture. Instantiating a configuration with
the defaults will yield a similar configuration to that of the GPTNeo
`),zt=a(pn,"A",{href:!0,rel:!0});var wc=r(zt);fr=l(wc,"EleutherAI/gpt-neo-1.3B"),wc.forEach(o),mr=l(pn," architecture."),pn.forEach(o),gr=u(ft),ge=a(ft,"P",{});var hn=r(ge);_r=l(hn,"Configuration objects inherit from "),Vo=a(hn,"A",{href:!0});var $c=r(Vo);Tr=l($c,"PretrainedConfig"),$c.forEach(o),vr=l(hn,` and can be used to control the model outputs. Read the
documentation from `),Jo=a(hn,"A",{href:!0});var Pc=r(Jo);br=l(Pc,"PretrainedConfig"),Pc.forEach(o),yr=l(hn," for more information."),hn.forEach(o),kr=u(ft),y(De.$$.fragment,ft),ft.forEach(o),Xs=u(t),_e=a(t,"H2",{class:!0});var ga=r(_e);Be=a(ga,"A",{id:!0,class:!0,href:!0});var Nc=r(Be);qn=a(Nc,"SPAN",{});var Fc=r(qn);y(Et.$$.fragment,Fc),Fc.forEach(o),Nc.forEach(o),wr=u(ga),zn=a(ga,"SPAN",{});var xc=r(zn);$r=l(xc,"GPTNeoModel"),xc.forEach(o),ga.forEach(o),Qs=u(t),q=a(t,"DIV",{class:!0});var ne=r(q);y(At.$$.fragment,ne),Pr=u(ne),En=a(ne,"P",{});var Gc=r(En);Nr=l(Gc,"The bare GPT Neo Model transformer outputting raw hidden-states without any specific head on top."),Gc.forEach(o),Fr=u(ne),jt=a(ne,"P",{});var _a=r(jt);xr=l(_a,"This model inherits from "),Ko=a(_a,"A",{href:!0});var Mc=r(Ko);Gr=l(Mc,"PreTrainedModel"),Mc.forEach(o),Mr=l(_a,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),_a.forEach(o),Cr=u(ne),It=a(ne,"P",{});var Ta=r(It);qr=l(Ta,"This model is also a PyTorch "),St=a(Ta,"A",{href:!0,rel:!0});var Cc=r(St);zr=l(Cc,"torch.nn.Module"),Cc.forEach(o),Er=l(Ta,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ta.forEach(o),Ar=u(ne),U=a(ne,"DIV",{class:!0});var mt=r(U);y(Lt.$$.fragment,mt),jr=u(mt),Te=a(mt,"P",{});var un=r(Te);Ir=l(un,"The "),Ro=a(un,"A",{href:!0});var qc=r(Ro);Sr=l(qc,"GPTNeoModel"),qc.forEach(o),Lr=l(un," forward method, overrides the "),An=a(un,"CODE",{});var zc=r(An);Or=l(zc,"__call__"),zc.forEach(o),Dr=l(un," special method."),un.forEach(o),Br=u(mt),y(We.$$.fragment,mt),Wr=u(mt),y(He.$$.fragment,mt),mt.forEach(o),ne.forEach(o),Ys=u(t),ve=a(t,"H2",{class:!0});var va=r(ve);Ue=a(va,"A",{id:!0,class:!0,href:!0});var Ec=r(Ue);jn=a(Ec,"SPAN",{});var Ac=r(jn);y(Ot.$$.fragment,Ac),Ac.forEach(o),Ec.forEach(o),Hr=u(va),In=a(va,"SPAN",{});var jc=r(In);Ur=l(jc,"GPTNeoForCausalLM"),jc.forEach(o),va.forEach(o),Zs=u(t),z=a(t,"DIV",{class:!0});var se=r(z);y(Dt.$$.fragment,se),Vr=u(se),Sn=a(se,"P",{});var Ic=r(Sn);Jr=l(Ic,`The GPT Neo Model transformer with a language modeling head on top (linear layer with weights tied to the input
embeddings).`),Ic.forEach(o),Kr=u(se),Bt=a(se,"P",{});var ba=r(Bt);Rr=l(ba,"This model inherits from "),Xo=a(ba,"A",{href:!0});var Sc=r(Xo);Xr=l(Sc,"PreTrainedModel"),Sc.forEach(o),Qr=l(ba,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ba.forEach(o),Yr=u(se),Wt=a(se,"P",{});var ya=r(Wt);Zr=l(ya,"This model is also a PyTorch "),Ht=a(ya,"A",{href:!0,rel:!0});var Lc=r(Ht);ei=l(Lc,"torch.nn.Module"),Lc.forEach(o),ti=l(ya,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ya.forEach(o),oi=u(se),V=a(se,"DIV",{class:!0});var gt=r(V);y(Ut.$$.fragment,gt),ni=u(gt),be=a(gt,"P",{});var fn=r(be);si=l(fn,"The "),Qo=a(fn,"A",{href:!0});var Oc=r(Qo);ai=l(Oc,"GPTNeoForCausalLM"),Oc.forEach(o),ri=l(fn," forward method, overrides the "),Ln=a(fn,"CODE",{});var Dc=r(Ln);ii=l(Dc,"__call__"),Dc.forEach(o),li=l(fn," special method."),fn.forEach(o),di=u(gt),y(Ve.$$.fragment,gt),ci=u(gt),y(Je.$$.fragment,gt),gt.forEach(o),se.forEach(o),ea=u(t),ye=a(t,"H2",{class:!0});var ka=r(ye);Ke=a(ka,"A",{id:!0,class:!0,href:!0});var Bc=r(Ke);On=a(Bc,"SPAN",{});var Wc=r(On);y(Vt.$$.fragment,Wc),Wc.forEach(o),Bc.forEach(o),pi=u(ka),Dn=a(ka,"SPAN",{});var Hc=r(Dn);hi=l(Hc,"GPTNeoForSequenceClassification"),Hc.forEach(o),ka.forEach(o),ta=u(t),x=a(t,"DIV",{class:!0});var L=r(x);y(Jt.$$.fragment,L),ui=u(L),Bn=a(L,"P",{});var Uc=r(Bn);fi=l(Uc,"The GPTNeo Model transformer with a sequence classification head on top (linear layer)."),Uc.forEach(o),mi=u(L),Yo=a(L,"P",{});var cc=r(Yo);Zo=a(cc,"A",{href:!0});var Vc=r(Zo);gi=l(Vc,"GPTNeoForSequenceClassification"),Vc.forEach(o),_i=l(cc,` uses the last token in order to do the classification, as other causal models
(e.g. GPT-1) do.`),cc.forEach(o),Ti=u(L),W=a(L,"P",{});var ae=r(W);vi=l(ae,`Since it does classification on the last token, it requires to know the position of the last token. If a
`),Wn=a(ae,"CODE",{});var Jc=r(Wn);bi=l(Jc,"pad_token_id"),Jc.forEach(o),yi=l(ae,` is defined in the configuration, it finds the last token that is not a padding token in each row. If
no `),Hn=a(ae,"CODE",{});var Kc=r(Hn);ki=l(Kc,"pad_token_id"),Kc.forEach(o),wi=l(ae,` is defined, it simply takes the last value in each row of the batch. Since it cannot guess the
padding tokens when `),Un=a(ae,"CODE",{});var Rc=r(Un);$i=l(Rc,"inputs_embeds"),Rc.forEach(o),Pi=l(ae," are passed instead of "),Vn=a(ae,"CODE",{});var Xc=r(Vn);Ni=l(Xc,"input_ids"),Xc.forEach(o),Fi=l(ae,`, it does the same (take the last value in
each row of the batch).`),ae.forEach(o),xi=u(L),Kt=a(L,"P",{});var wa=r(Kt);Gi=l(wa,"This model inherits from "),en=a(wa,"A",{href:!0});var Qc=r(en);Mi=l(Qc,"PreTrainedModel"),Qc.forEach(o),Ci=l(wa,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),wa.forEach(o),qi=u(L),Rt=a(L,"P",{});var $a=r(Rt);zi=l($a,"This model is also a PyTorch "),Xt=a($a,"A",{href:!0,rel:!0});var Yc=r(Xt);Ei=l(Yc,"torch.nn.Module"),Yc.forEach(o),Ai=l($a,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),$a.forEach(o),ji=u(L),I=a(L,"DIV",{class:!0});var re=r(I);y(Qt.$$.fragment,re),Ii=u(re),ke=a(re,"P",{});var mn=r(ke);Si=l(mn,"The "),tn=a(mn,"A",{href:!0});var Zc=r(tn);Li=l(Zc,"GPTNeoForSequenceClassification"),Zc.forEach(o),Oi=l(mn," forward method, overrides the "),Jn=a(mn,"CODE",{});var ep=r(Jn);Di=l(ep,"__call__"),ep.forEach(o),Bi=l(mn," special method."),mn.forEach(o),Wi=u(re),y(Re.$$.fragment,re),Hi=u(re),y(Xe.$$.fragment,re),Ui=u(re),y(Qe.$$.fragment,re),re.forEach(o),L.forEach(o),oa=u(t),we=a(t,"H2",{class:!0});var Pa=r(we);Ye=a(Pa,"A",{id:!0,class:!0,href:!0});var tp=r(Ye);Kn=a(tp,"SPAN",{});var op=r(Kn);y(Yt.$$.fragment,op),op.forEach(o),tp.forEach(o),Vi=u(Pa),Rn=a(Pa,"SPAN",{});var np=r(Rn);Ji=l(np,"TFGPTNeoModel"),np.forEach(o),Pa.forEach(o),na=u(t),E=a(t,"DIV",{class:!0});var ie=r(E);y(Zt.$$.fragment,ie),Ki=u(ie),Xn=a(ie,"P",{});var sp=r(Xn);Ri=l(sp,"The bare GPT Neo Model transformer outputting raw hidden-states without any specific head on top."),sp.forEach(o),Xi=u(ie),eo=a(ie,"P",{});var Na=r(eo);Qi=l(Na,"This model inherits from "),on=a(Na,"A",{href:!0});var ap=r(on);Yi=l(ap,"TFPreTrainedModel"),ap.forEach(o),Zi=l(Na,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Na.forEach(o),el=u(ie),to=a(ie,"P",{});var Fa=r(to);tl=l(Fa,"This model is also a "),oo=a(Fa,"A",{href:!0,rel:!0});var rp=r(oo);ol=l(rp,"tf.keras.Model"),rp.forEach(o),nl=l(Fa,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Fa.forEach(o),sl=u(ie),J=a(ie,"DIV",{class:!0});var _t=r(J);y(no.$$.fragment,_t),al=u(_t),$e=a(_t,"P",{});var gn=r($e);rl=l(gn,"The "),nn=a(gn,"A",{href:!0});var ip=r(nn);il=l(ip,"TFGPTNeoModel"),ip.forEach(o),ll=l(gn," forward method, overrides the "),Qn=a(gn,"CODE",{});var lp=r(Qn);dl=l(lp,"__call__"),lp.forEach(o),cl=l(gn," special method."),gn.forEach(o),pl=u(_t),y(Ze.$$.fragment,_t),hl=u(_t),y(et.$$.fragment,_t),_t.forEach(o),ie.forEach(o),sa=u(t),Pe=a(t,"H2",{class:!0});var xa=r(Pe);tt=a(xa,"A",{id:!0,class:!0,href:!0});var dp=r(tt);Yn=a(dp,"SPAN",{});var cp=r(Yn);y(so.$$.fragment,cp),cp.forEach(o),dp.forEach(o),ul=u(xa),Zn=a(xa,"SPAN",{});var pp=r(Zn);fl=l(pp,"TFGPTNeoForCausalLM"),pp.forEach(o),xa.forEach(o),aa=u(t),A=a(t,"DIV",{class:!0});var le=r(A);y(ao.$$.fragment,le),ml=u(le),es=a(le,"P",{});var hp=r(es);gl=l(hp,`The GPT Neo Model transformer with a language modeling head on top (linear layer with weights tied to the input
embeddings).`),hp.forEach(o),_l=u(le),ro=a(le,"P",{});var Ga=r(ro);Tl=l(Ga,"This model inherits from "),sn=a(Ga,"A",{href:!0});var up=r(sn);vl=l(up,"TFPreTrainedModel"),up.forEach(o),bl=l(Ga,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ga.forEach(o),yl=u(le),io=a(le,"P",{});var Ma=r(io);kl=l(Ma,"This model is also a "),lo=a(Ma,"A",{href:!0,rel:!0});var fp=r(lo);wl=l(fp,"tf.keras.Model"),fp.forEach(o),$l=l(Ma,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Ma.forEach(o),Pl=u(le),K=a(le,"DIV",{class:!0});var Tt=r(K);y(co.$$.fragment,Tt),Nl=u(Tt),Ne=a(Tt,"P",{});var _n=r(Ne);Fl=l(_n,"The "),an=a(_n,"A",{href:!0});var mp=r(an);xl=l(mp,"TFGPTNeoForCausalLM"),mp.forEach(o),Gl=l(_n," forward method, overrides the "),ts=a(_n,"CODE",{});var gp=r(ts);Ml=l(gp,"__call__"),gp.forEach(o),Cl=l(_n," special method."),_n.forEach(o),ql=u(Tt),y(ot.$$.fragment,Tt),zl=u(Tt),y(nt.$$.fragment,Tt),Tt.forEach(o),le.forEach(o),ra=u(t),Fe=a(t,"H2",{class:!0});var Ca=r(Fe);st=a(Ca,"A",{id:!0,class:!0,href:!0});var _p=r(st);os=a(_p,"SPAN",{});var Tp=r(os);y(po.$$.fragment,Tp),Tp.forEach(o),_p.forEach(o),El=u(Ca),ns=a(Ca,"SPAN",{});var vp=r(ns);Al=l(vp,"TFGPTNeoForSequenceClassification"),vp.forEach(o),Ca.forEach(o),ia=u(t),j=a(t,"DIV",{class:!0});var de=r(j);y(ho.$$.fragment,de),jl=u(de),ss=a(de,"P",{});var bp=r(ss);Il=l(bp,`The GPTNeo Model transformer with a sequence classification head on top (linear layer).
[TFGPTNeoForSequenceClassification] uses the last token in order to do the classification, as other causal models
(e.g. GPT-1) do. Since it does classification on the last token, it requires to know the position of the last
token. If a pad_token_id is defined in the configuration, it finds the last token that is not a padding token in
each row. If no pad_token_id is defined, it simply takes the last value in each row of the batch. Since it cannot
guess the padding tokens when inputs_embeds are passed instead of input_ids, it does the same (take the last value
in each row of the batch).`),bp.forEach(o),Sl=u(de),uo=a(de,"P",{});var qa=r(uo);Ll=l(qa,"This model inherits from "),rn=a(qa,"A",{href:!0});var yp=r(rn);Ol=l(yp,"TFPreTrainedModel"),yp.forEach(o),Dl=l(qa,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),qa.forEach(o),Bl=u(de),fo=a(de,"P",{});var za=r(fo);Wl=l(za,"This model is also a "),mo=a(za,"A",{href:!0,rel:!0});var kp=r(mo);Hl=l(kp,"tf.keras.Model"),kp.forEach(o),Ul=l(za,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),za.forEach(o),Vl=u(de),S=a(de,"DIV",{class:!0});var ce=r(S);y(go.$$.fragment,ce),Jl=u(ce),xe=a(ce,"P",{});var Tn=r(xe);Kl=l(Tn,"The "),ln=a(Tn,"A",{href:!0});var wp=r(ln);Rl=l(wp,"TFGPTNeoForSequenceClassification"),wp.forEach(o),Xl=l(Tn," forward method, overrides the "),as=a(Tn,"CODE",{});var $p=r(as);Ql=l($p,"__call__"),$p.forEach(o),Yl=l(Tn," special method."),Tn.forEach(o),Zl=u(ce),y(at.$$.fragment,ce),ed=u(ce),y(rt.$$.fragment,ce),td=u(ce),y(it.$$.fragment,ce),ce.forEach(o),de.forEach(o),la=u(t),Ge=a(t,"H2",{class:!0});var Ea=r(Ge);lt=a(Ea,"A",{id:!0,class:!0,href:!0});var Pp=r(lt);rs=a(Pp,"SPAN",{});var Np=r(rs);y(_o.$$.fragment,Np),Np.forEach(o),Pp.forEach(o),od=u(Ea),is=a(Ea,"SPAN",{});var Fp=r(is);nd=l(Fp,"FlaxGPTNeoModel"),Fp.forEach(o),Ea.forEach(o),da=u(t),G=a(t,"DIV",{class:!0});var O=r(G);y(To.$$.fragment,O),sd=u(O),ls=a(O,"P",{});var xp=r(ls);ad=l(xp,"The bare GPTNeo Model transformer outputting raw hidden-states without any specific head on top."),xp.forEach(o),rd=u(O),vo=a(O,"P",{});var Aa=r(vo);id=l(Aa,"This model inherits from "),dn=a(Aa,"A",{href:!0});var Gp=r(dn);ld=l(Gp,"FlaxPreTrainedModel"),Gp.forEach(o),dd=l(Aa,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Aa.forEach(o),cd=u(O),bo=a(O,"P",{});var ja=r(bo);pd=l(ja,`This model is also a Flax Linen
`),yo=a(ja,"A",{href:!0,rel:!0});var Mp=r(yo);hd=l(Mp,"flax.nn.Module"),Mp.forEach(o),ud=l(ja,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),ja.forEach(o),fd=u(O),ds=a(O,"P",{});var Cp=r(ds);md=l(Cp,"Finally, this model supports inherent JAX features such as:"),Cp.forEach(o),gd=u(O),Y=a(O,"UL",{});var vt=r(Y);cs=a(vt,"LI",{});var qp=r(cs);ko=a(qp,"A",{href:!0,rel:!0});var zp=r(ko);_d=l(zp,"Just-In-Time (JIT) compilation"),zp.forEach(o),qp.forEach(o),Td=u(vt),ps=a(vt,"LI",{});var Ep=r(ps);wo=a(Ep,"A",{href:!0,rel:!0});var Ap=r(wo);vd=l(Ap,"Automatic Differentiation"),Ap.forEach(o),Ep.forEach(o),bd=u(vt),hs=a(vt,"LI",{});var jp=r(hs);$o=a(jp,"A",{href:!0,rel:!0});var Ip=r($o);yd=l(Ip,"Vectorization"),Ip.forEach(o),jp.forEach(o),kd=u(vt),us=a(vt,"LI",{});var Sp=r(us);Po=a(Sp,"A",{href:!0,rel:!0});var Lp=r(Po);wd=l(Lp,"Parallelization"),Lp.forEach(o),Sp.forEach(o),vt.forEach(o),$d=u(O),R=a(O,"DIV",{class:!0});var bt=r(R);y(No.$$.fragment,bt),Pd=u(bt),Me=a(bt,"P",{});var vn=r(Me);Nd=l(vn,"The "),fs=a(vn,"CODE",{});var Op=r(fs);Fd=l(Op,"FlaxGPTNeoPreTrainedModel"),Op.forEach(o),xd=l(vn," forward method, overrides the "),ms=a(vn,"CODE",{});var Dp=r(ms);Gd=l(Dp,"__call__"),Dp.forEach(o),Md=l(vn," special method."),vn.forEach(o),Cd=u(bt),y(dt.$$.fragment,bt),qd=u(bt),y(ct.$$.fragment,bt),bt.forEach(o),O.forEach(o),ca=u(t),Ce=a(t,"H2",{class:!0});var Ia=r(Ce);pt=a(Ia,"A",{id:!0,class:!0,href:!0});var Bp=r(pt);gs=a(Bp,"SPAN",{});var Wp=r(gs);y(Fo.$$.fragment,Wp),Wp.forEach(o),Bp.forEach(o),zd=u(Ia),_s=a(Ia,"SPAN",{});var Hp=r(_s);Ed=l(Hp,"FlaxGPTNeoForCausalLM"),Hp.forEach(o),Ia.forEach(o),pa=u(t),M=a(t,"DIV",{class:!0});var D=r(M);y(xo.$$.fragment,D),Ad=u(D),Ts=a(D,"P",{});var Up=r(Ts);jd=l(Up,`The GPTNeo Model transformer with a language modeling head on top (linear layer with weights tied to the input
embeddings).`),Up.forEach(o),Id=u(D),Go=a(D,"P",{});var Sa=r(Go);Sd=l(Sa,"This model inherits from "),cn=a(Sa,"A",{href:!0});var Vp=r(cn);Ld=l(Vp,"FlaxPreTrainedModel"),Vp.forEach(o),Od=l(Sa,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Sa.forEach(o),Dd=u(D),Mo=a(D,"P",{});var La=r(Mo);Bd=l(La,`This model is also a Flax Linen
`),Co=a(La,"A",{href:!0,rel:!0});var Jp=r(Co);Wd=l(Jp,"flax.nn.Module"),Jp.forEach(o),Hd=l(La,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),La.forEach(o),Ud=u(D),vs=a(D,"P",{});var Kp=r(vs);Vd=l(Kp,"Finally, this model supports inherent JAX features such as:"),Kp.forEach(o),Jd=u(D),Z=a(D,"UL",{});var yt=r(Z);bs=a(yt,"LI",{});var Rp=r(bs);qo=a(Rp,"A",{href:!0,rel:!0});var Xp=r(qo);Kd=l(Xp,"Just-In-Time (JIT) compilation"),Xp.forEach(o),Rp.forEach(o),Rd=u(yt),ys=a(yt,"LI",{});var Qp=r(ys);zo=a(Qp,"A",{href:!0,rel:!0});var Yp=r(zo);Xd=l(Yp,"Automatic Differentiation"),Yp.forEach(o),Qp.forEach(o),Qd=u(yt),ks=a(yt,"LI",{});var Zp=r(ks);Eo=a(Zp,"A",{href:!0,rel:!0});var eh=r(Eo);Yd=l(eh,"Vectorization"),eh.forEach(o),Zp.forEach(o),Zd=u(yt),ws=a(yt,"LI",{});var th=r(ws);Ao=a(th,"A",{href:!0,rel:!0});var oh=r(Ao);ec=l(oh,"Parallelization"),oh.forEach(o),th.forEach(o),yt.forEach(o),tc=u(D),X=a(D,"DIV",{class:!0});var kt=r(X);y(jo.$$.fragment,kt),oc=u(kt),qe=a(kt,"P",{});var bn=r(qe);nc=l(bn,"The "),$s=a(bn,"CODE",{});var nh=r($s);sc=l(nh,"FlaxGPTNeoPreTrainedModel"),nh.forEach(o),ac=l(bn," forward method, overrides the "),Ps=a(bn,"CODE",{});var sh=r(Ps);rc=l(sh,"__call__"),sh.forEach(o),ic=l(bn," special method."),bn.forEach(o),lc=u(kt),y(ht.$$.fragment,kt),dc=u(kt),y(ut.$$.fragment,kt),kt.forEach(o),D.forEach(o),this.h()},h(){c(d,"name","hf:doc:metadata"),c(d,"content",JSON.stringify(Mh)),c(f,"id","gpt-neo"),c(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(f,"href","#gpt-neo"),c(m,"class","relative group"),c(Ee,"id","overview"),c(Ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ee,"href","#overview"),c(pe,"class","relative group"),c(Pt,"href","https://github.com/EleutherAI/gpt-neo"),c(Pt,"rel","nofollow"),c(Nt,"href","https://pile.eleuther.ai/"),c(Nt,"rel","nofollow"),c(Ft,"href","https://huggingface.co/valhalla"),c(Ft,"rel","nofollow"),c(je,"id","generation"),c(je,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(je,"href","#generation"),c(he,"class","relative group"),c(Se,"id","documentation-resources"),c(Se,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Se,"href","#documentation-resources"),c(ue,"class","relative group"),c(Wo,"href","../tasks/sequence_classification"),c(Ho,"href","../tasks/language_modeling"),c(Oe,"id","transformers.GPTNeoConfig"),c(Oe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Oe,"href","#transformers.GPTNeoConfig"),c(fe,"class","relative group"),c(Uo,"href","/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoModel"),c(zt,"href","https://huggingface.co/EleutherAI/gpt-neo-1.3B"),c(zt,"rel","nofollow"),c(Vo,"href","/docs/transformers/pr_22365/en/main_classes/configuration#transformers.PretrainedConfig"),c(Jo,"href","/docs/transformers/pr_22365/en/main_classes/configuration#transformers.PretrainedConfig"),c(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Be,"id","transformers.GPTNeoModel"),c(Be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Be,"href","#transformers.GPTNeoModel"),c(_e,"class","relative group"),c(Ko,"href","/docs/transformers/pr_22365/en/main_classes/model#transformers.PreTrainedModel"),c(St,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(St,"rel","nofollow"),c(Ro,"href","/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoModel"),c(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ue,"id","transformers.GPTNeoForCausalLM"),c(Ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ue,"href","#transformers.GPTNeoForCausalLM"),c(ve,"class","relative group"),c(Xo,"href","/docs/transformers/pr_22365/en/main_classes/model#transformers.PreTrainedModel"),c(Ht,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Ht,"rel","nofollow"),c(Qo,"href","/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoForCausalLM"),c(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ke,"id","transformers.GPTNeoForSequenceClassification"),c(Ke,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ke,"href","#transformers.GPTNeoForSequenceClassification"),c(ye,"class","relative group"),c(Zo,"href","/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoForSequenceClassification"),c(en,"href","/docs/transformers/pr_22365/en/main_classes/model#transformers.PreTrainedModel"),c(Xt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Xt,"rel","nofollow"),c(tn,"href","/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.GPTNeoForSequenceClassification"),c(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ye,"id","transformers.TFGPTNeoModel"),c(Ye,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ye,"href","#transformers.TFGPTNeoModel"),c(we,"class","relative group"),c(on,"href","/docs/transformers/pr_22365/en/main_classes/model#transformers.TFPreTrainedModel"),c(oo,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(oo,"rel","nofollow"),c(nn,"href","/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.TFGPTNeoModel"),c(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(tt,"id","transformers.TFGPTNeoForCausalLM"),c(tt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(tt,"href","#transformers.TFGPTNeoForCausalLM"),c(Pe,"class","relative group"),c(sn,"href","/docs/transformers/pr_22365/en/main_classes/model#transformers.TFPreTrainedModel"),c(lo,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(lo,"rel","nofollow"),c(an,"href","/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.TFGPTNeoForCausalLM"),c(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(st,"id","transformers.TFGPTNeoForSequenceClassification"),c(st,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(st,"href","#transformers.TFGPTNeoForSequenceClassification"),c(Fe,"class","relative group"),c(rn,"href","/docs/transformers/pr_22365/en/main_classes/model#transformers.TFPreTrainedModel"),c(mo,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(mo,"rel","nofollow"),c(ln,"href","/docs/transformers/pr_22365/en/model_doc/gpt_neo#transformers.TFGPTNeoForSequenceClassification"),c(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(lt,"id","transformers.FlaxGPTNeoModel"),c(lt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(lt,"href","#transformers.FlaxGPTNeoModel"),c(Ge,"class","relative group"),c(dn,"href","/docs/transformers/pr_22365/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(yo,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),c(yo,"rel","nofollow"),c(ko,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(ko,"rel","nofollow"),c(wo,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(wo,"rel","nofollow"),c($o,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c($o,"rel","nofollow"),c(Po,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(Po,"rel","nofollow"),c(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(pt,"id","transformers.FlaxGPTNeoForCausalLM"),c(pt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(pt,"href","#transformers.FlaxGPTNeoForCausalLM"),c(Ce,"class","relative group"),c(cn,"href","/docs/transformers/pr_22365/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(Co,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),c(Co,"rel","nofollow"),c(qo,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(qo,"rel","nofollow"),c(zo,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(zo,"rel","nofollow"),c(Eo,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(Eo,"rel","nofollow"),c(Ao,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(Ao,"rel","nofollow"),c(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,g){e(document.head,d),T(t,v,g),T(t,m,g),e(m,f),e(f,_),k(n,_,null),e(m,p),e(m,F),e(F,Oa),T(t,Ls,g),T(t,pe,g),e(pe,Ee),e(Ee,yn),k($t,yn,null),e(pe,Da),e(pe,kn),e(kn,Ba),T(t,Os,g),T(t,oe,g),e(oe,Wa),e(oe,Pt),e(Pt,Ha),e(oe,Ua),e(oe,Nt),e(Nt,Va),e(oe,Ja),T(t,Ds,g),T(t,Bo,g),e(Bo,Ka),T(t,Bs,g),T(t,Ae,g),e(Ae,Ra),e(Ae,Ft),e(Ft,Xa),e(Ae,Qa),T(t,Ws,g),T(t,he,g),e(he,je),e(je,wn),k(xt,wn,null),e(he,Ya),e(he,$n),e($n,Za),T(t,Hs,g),T(t,Ie,g),e(Ie,er),e(Ie,Pn),e(Pn,tr),e(Ie,or),T(t,Us,g),k(Gt,t,g),T(t,Vs,g),T(t,ue,g),e(ue,Se),e(Se,Nn),k(Mt,Nn,null),e(ue,nr),e(ue,Fn),e(Fn,sr),T(t,Js,g),T(t,Le,g),e(Le,xn),e(xn,Wo),e(Wo,ar),e(Le,rr),e(Le,Gn),e(Gn,Ho),e(Ho,ir),T(t,Ks,g),T(t,fe,g),e(fe,Oe),e(Oe,Mn),k(Ct,Mn,null),e(fe,lr),e(fe,Cn),e(Cn,dr),T(t,Rs,g),T(t,B,g),k(qt,B,null),e(B,cr),e(B,me),e(me,pr),e(me,Uo),e(Uo,hr),e(me,ur),e(me,zt),e(zt,fr),e(me,mr),e(B,gr),e(B,ge),e(ge,_r),e(ge,Vo),e(Vo,Tr),e(ge,vr),e(ge,Jo),e(Jo,br),e(ge,yr),e(B,kr),k(De,B,null),T(t,Xs,g),T(t,_e,g),e(_e,Be),e(Be,qn),k(Et,qn,null),e(_e,wr),e(_e,zn),e(zn,$r),T(t,Qs,g),T(t,q,g),k(At,q,null),e(q,Pr),e(q,En),e(En,Nr),e(q,Fr),e(q,jt),e(jt,xr),e(jt,Ko),e(Ko,Gr),e(jt,Mr),e(q,Cr),e(q,It),e(It,qr),e(It,St),e(St,zr),e(It,Er),e(q,Ar),e(q,U),k(Lt,U,null),e(U,jr),e(U,Te),e(Te,Ir),e(Te,Ro),e(Ro,Sr),e(Te,Lr),e(Te,An),e(An,Or),e(Te,Dr),e(U,Br),k(We,U,null),e(U,Wr),k(He,U,null),T(t,Ys,g),T(t,ve,g),e(ve,Ue),e(Ue,jn),k(Ot,jn,null),e(ve,Hr),e(ve,In),e(In,Ur),T(t,Zs,g),T(t,z,g),k(Dt,z,null),e(z,Vr),e(z,Sn),e(Sn,Jr),e(z,Kr),e(z,Bt),e(Bt,Rr),e(Bt,Xo),e(Xo,Xr),e(Bt,Qr),e(z,Yr),e(z,Wt),e(Wt,Zr),e(Wt,Ht),e(Ht,ei),e(Wt,ti),e(z,oi),e(z,V),k(Ut,V,null),e(V,ni),e(V,be),e(be,si),e(be,Qo),e(Qo,ai),e(be,ri),e(be,Ln),e(Ln,ii),e(be,li),e(V,di),k(Ve,V,null),e(V,ci),k(Je,V,null),T(t,ea,g),T(t,ye,g),e(ye,Ke),e(Ke,On),k(Vt,On,null),e(ye,pi),e(ye,Dn),e(Dn,hi),T(t,ta,g),T(t,x,g),k(Jt,x,null),e(x,ui),e(x,Bn),e(Bn,fi),e(x,mi),e(x,Yo),e(Yo,Zo),e(Zo,gi),e(Yo,_i),e(x,Ti),e(x,W),e(W,vi),e(W,Wn),e(Wn,bi),e(W,yi),e(W,Hn),e(Hn,ki),e(W,wi),e(W,Un),e(Un,$i),e(W,Pi),e(W,Vn),e(Vn,Ni),e(W,Fi),e(x,xi),e(x,Kt),e(Kt,Gi),e(Kt,en),e(en,Mi),e(Kt,Ci),e(x,qi),e(x,Rt),e(Rt,zi),e(Rt,Xt),e(Xt,Ei),e(Rt,Ai),e(x,ji),e(x,I),k(Qt,I,null),e(I,Ii),e(I,ke),e(ke,Si),e(ke,tn),e(tn,Li),e(ke,Oi),e(ke,Jn),e(Jn,Di),e(ke,Bi),e(I,Wi),k(Re,I,null),e(I,Hi),k(Xe,I,null),e(I,Ui),k(Qe,I,null),T(t,oa,g),T(t,we,g),e(we,Ye),e(Ye,Kn),k(Yt,Kn,null),e(we,Vi),e(we,Rn),e(Rn,Ji),T(t,na,g),T(t,E,g),k(Zt,E,null),e(E,Ki),e(E,Xn),e(Xn,Ri),e(E,Xi),e(E,eo),e(eo,Qi),e(eo,on),e(on,Yi),e(eo,Zi),e(E,el),e(E,to),e(to,tl),e(to,oo),e(oo,ol),e(to,nl),e(E,sl),e(E,J),k(no,J,null),e(J,al),e(J,$e),e($e,rl),e($e,nn),e(nn,il),e($e,ll),e($e,Qn),e(Qn,dl),e($e,cl),e(J,pl),k(Ze,J,null),e(J,hl),k(et,J,null),T(t,sa,g),T(t,Pe,g),e(Pe,tt),e(tt,Yn),k(so,Yn,null),e(Pe,ul),e(Pe,Zn),e(Zn,fl),T(t,aa,g),T(t,A,g),k(ao,A,null),e(A,ml),e(A,es),e(es,gl),e(A,_l),e(A,ro),e(ro,Tl),e(ro,sn),e(sn,vl),e(ro,bl),e(A,yl),e(A,io),e(io,kl),e(io,lo),e(lo,wl),e(io,$l),e(A,Pl),e(A,K),k(co,K,null),e(K,Nl),e(K,Ne),e(Ne,Fl),e(Ne,an),e(an,xl),e(Ne,Gl),e(Ne,ts),e(ts,Ml),e(Ne,Cl),e(K,ql),k(ot,K,null),e(K,zl),k(nt,K,null),T(t,ra,g),T(t,Fe,g),e(Fe,st),e(st,os),k(po,os,null),e(Fe,El),e(Fe,ns),e(ns,Al),T(t,ia,g),T(t,j,g),k(ho,j,null),e(j,jl),e(j,ss),e(ss,Il),e(j,Sl),e(j,uo),e(uo,Ll),e(uo,rn),e(rn,Ol),e(uo,Dl),e(j,Bl),e(j,fo),e(fo,Wl),e(fo,mo),e(mo,Hl),e(fo,Ul),e(j,Vl),e(j,S),k(go,S,null),e(S,Jl),e(S,xe),e(xe,Kl),e(xe,ln),e(ln,Rl),e(xe,Xl),e(xe,as),e(as,Ql),e(xe,Yl),e(S,Zl),k(at,S,null),e(S,ed),k(rt,S,null),e(S,td),k(it,S,null),T(t,la,g),T(t,Ge,g),e(Ge,lt),e(lt,rs),k(_o,rs,null),e(Ge,od),e(Ge,is),e(is,nd),T(t,da,g),T(t,G,g),k(To,G,null),e(G,sd),e(G,ls),e(ls,ad),e(G,rd),e(G,vo),e(vo,id),e(vo,dn),e(dn,ld),e(vo,dd),e(G,cd),e(G,bo),e(bo,pd),e(bo,yo),e(yo,hd),e(bo,ud),e(G,fd),e(G,ds),e(ds,md),e(G,gd),e(G,Y),e(Y,cs),e(cs,ko),e(ko,_d),e(Y,Td),e(Y,ps),e(ps,wo),e(wo,vd),e(Y,bd),e(Y,hs),e(hs,$o),e($o,yd),e(Y,kd),e(Y,us),e(us,Po),e(Po,wd),e(G,$d),e(G,R),k(No,R,null),e(R,Pd),e(R,Me),e(Me,Nd),e(Me,fs),e(fs,Fd),e(Me,xd),e(Me,ms),e(ms,Gd),e(Me,Md),e(R,Cd),k(dt,R,null),e(R,qd),k(ct,R,null),T(t,ca,g),T(t,Ce,g),e(Ce,pt),e(pt,gs),k(Fo,gs,null),e(Ce,zd),e(Ce,_s),e(_s,Ed),T(t,pa,g),T(t,M,g),k(xo,M,null),e(M,Ad),e(M,Ts),e(Ts,jd),e(M,Id),e(M,Go),e(Go,Sd),e(Go,cn),e(cn,Ld),e(Go,Od),e(M,Dd),e(M,Mo),e(Mo,Bd),e(Mo,Co),e(Co,Wd),e(Mo,Hd),e(M,Ud),e(M,vs),e(vs,Vd),e(M,Jd),e(M,Z),e(Z,bs),e(bs,qo),e(qo,Kd),e(Z,Rd),e(Z,ys),e(ys,zo),e(zo,Xd),e(Z,Qd),e(Z,ks),e(ks,Eo),e(Eo,Yd),e(Z,Zd),e(Z,ws),e(ws,Ao),e(Ao,ec),e(M,tc),e(M,X),k(jo,X,null),e(X,oc),e(X,qe),e(qe,nc),e(qe,$s),e($s,sc),e(qe,ac),e(qe,Ps),e(Ps,rc),e(qe,ic),e(X,lc),k(ht,X,null),e(X,dc),k(ut,X,null),ha=!0},p(t,[g]){const Io={};g&2&&(Io.$$scope={dirty:g,ctx:t}),De.$set(Io);const Ns={};g&2&&(Ns.$$scope={dirty:g,ctx:t}),We.$set(Ns);const Fs={};g&2&&(Fs.$$scope={dirty:g,ctx:t}),He.$set(Fs);const xs={};g&2&&(xs.$$scope={dirty:g,ctx:t}),Ve.$set(xs);const So={};g&2&&(So.$$scope={dirty:g,ctx:t}),Je.$set(So);const Gs={};g&2&&(Gs.$$scope={dirty:g,ctx:t}),Re.$set(Gs);const Ms={};g&2&&(Ms.$$scope={dirty:g,ctx:t}),Xe.$set(Ms);const Cs={};g&2&&(Cs.$$scope={dirty:g,ctx:t}),Qe.$set(Cs);const ze={};g&2&&(ze.$$scope={dirty:g,ctx:t}),Ze.$set(ze);const qs={};g&2&&(qs.$$scope={dirty:g,ctx:t}),et.$set(qs);const zs={};g&2&&(zs.$$scope={dirty:g,ctx:t}),ot.$set(zs);const Es={};g&2&&(Es.$$scope={dirty:g,ctx:t}),nt.$set(Es);const Lo={};g&2&&(Lo.$$scope={dirty:g,ctx:t}),at.$set(Lo);const As={};g&2&&(As.$$scope={dirty:g,ctx:t}),rt.$set(As);const Oo={};g&2&&(Oo.$$scope={dirty:g,ctx:t}),it.$set(Oo);const js={};g&2&&(js.$$scope={dirty:g,ctx:t}),dt.$set(js);const Is={};g&2&&(Is.$$scope={dirty:g,ctx:t}),ct.$set(Is);const Ss={};g&2&&(Ss.$$scope={dirty:g,ctx:t}),ht.$set(Ss);const Do={};g&2&&(Do.$$scope={dirty:g,ctx:t}),ut.$set(Do)},i(t){ha||(w(n.$$.fragment,t),w($t.$$.fragment,t),w(xt.$$.fragment,t),w(Gt.$$.fragment,t),w(Mt.$$.fragment,t),w(Ct.$$.fragment,t),w(qt.$$.fragment,t),w(De.$$.fragment,t),w(Et.$$.fragment,t),w(At.$$.fragment,t),w(Lt.$$.fragment,t),w(We.$$.fragment,t),w(He.$$.fragment,t),w(Ot.$$.fragment,t),w(Dt.$$.fragment,t),w(Ut.$$.fragment,t),w(Ve.$$.fragment,t),w(Je.$$.fragment,t),w(Vt.$$.fragment,t),w(Jt.$$.fragment,t),w(Qt.$$.fragment,t),w(Re.$$.fragment,t),w(Xe.$$.fragment,t),w(Qe.$$.fragment,t),w(Yt.$$.fragment,t),w(Zt.$$.fragment,t),w(no.$$.fragment,t),w(Ze.$$.fragment,t),w(et.$$.fragment,t),w(so.$$.fragment,t),w(ao.$$.fragment,t),w(co.$$.fragment,t),w(ot.$$.fragment,t),w(nt.$$.fragment,t),w(po.$$.fragment,t),w(ho.$$.fragment,t),w(go.$$.fragment,t),w(at.$$.fragment,t),w(rt.$$.fragment,t),w(it.$$.fragment,t),w(_o.$$.fragment,t),w(To.$$.fragment,t),w(No.$$.fragment,t),w(dt.$$.fragment,t),w(ct.$$.fragment,t),w(Fo.$$.fragment,t),w(xo.$$.fragment,t),w(jo.$$.fragment,t),w(ht.$$.fragment,t),w(ut.$$.fragment,t),ha=!0)},o(t){$(n.$$.fragment,t),$($t.$$.fragment,t),$(xt.$$.fragment,t),$(Gt.$$.fragment,t),$(Mt.$$.fragment,t),$(Ct.$$.fragment,t),$(qt.$$.fragment,t),$(De.$$.fragment,t),$(Et.$$.fragment,t),$(At.$$.fragment,t),$(Lt.$$.fragment,t),$(We.$$.fragment,t),$(He.$$.fragment,t),$(Ot.$$.fragment,t),$(Dt.$$.fragment,t),$(Ut.$$.fragment,t),$(Ve.$$.fragment,t),$(Je.$$.fragment,t),$(Vt.$$.fragment,t),$(Jt.$$.fragment,t),$(Qt.$$.fragment,t),$(Re.$$.fragment,t),$(Xe.$$.fragment,t),$(Qe.$$.fragment,t),$(Yt.$$.fragment,t),$(Zt.$$.fragment,t),$(no.$$.fragment,t),$(Ze.$$.fragment,t),$(et.$$.fragment,t),$(so.$$.fragment,t),$(ao.$$.fragment,t),$(co.$$.fragment,t),$(ot.$$.fragment,t),$(nt.$$.fragment,t),$(po.$$.fragment,t),$(ho.$$.fragment,t),$(go.$$.fragment,t),$(at.$$.fragment,t),$(rt.$$.fragment,t),$(it.$$.fragment,t),$(_o.$$.fragment,t),$(To.$$.fragment,t),$(No.$$.fragment,t),$(dt.$$.fragment,t),$(ct.$$.fragment,t),$(Fo.$$.fragment,t),$(xo.$$.fragment,t),$(jo.$$.fragment,t),$(ht.$$.fragment,t),$(ut.$$.fragment,t),ha=!1},d(t){o(d),t&&o(v),t&&o(m),P(n),t&&o(Ls),t&&o(pe),P($t),t&&o(Os),t&&o(oe),t&&o(Ds),t&&o(Bo),t&&o(Bs),t&&o(Ae),t&&o(Ws),t&&o(he),P(xt),t&&o(Hs),t&&o(Ie),t&&o(Us),P(Gt,t),t&&o(Vs),t&&o(ue),P(Mt),t&&o(Js),t&&o(Le),t&&o(Ks),t&&o(fe),P(Ct),t&&o(Rs),t&&o(B),P(qt),P(De),t&&o(Xs),t&&o(_e),P(Et),t&&o(Qs),t&&o(q),P(At),P(Lt),P(We),P(He),t&&o(Ys),t&&o(ve),P(Ot),t&&o(Zs),t&&o(z),P(Dt),P(Ut),P(Ve),P(Je),t&&o(ea),t&&o(ye),P(Vt),t&&o(ta),t&&o(x),P(Jt),P(Qt),P(Re),P(Xe),P(Qe),t&&o(oa),t&&o(we),P(Yt),t&&o(na),t&&o(E),P(Zt),P(no),P(Ze),P(et),t&&o(sa),t&&o(Pe),P(so),t&&o(aa),t&&o(A),P(ao),P(co),P(ot),P(nt),t&&o(ra),t&&o(Fe),P(po),t&&o(ia),t&&o(j),P(ho),P(go),P(at),P(rt),P(it),t&&o(la),t&&o(Ge),P(_o),t&&o(da),t&&o(G),P(To),P(No),P(dt),P(ct),t&&o(ca),t&&o(Ce),P(Fo),t&&o(pa),t&&o(M),P(xo),P(jo),P(ht),P(ut)}}}const Mh={local:"gpt-neo",sections:[{local:"overview",sections:[{local:"generation",title:"Generation"}],title:"Overview"},{local:"documentation-resources",title:"Documentation resources"},{local:"transformers.GPTNeoConfig",title:"GPTNeoConfig"},{local:"transformers.GPTNeoModel",title:"GPTNeoModel"},{local:"transformers.GPTNeoForCausalLM",title:"GPTNeoForCausalLM"},{local:"transformers.GPTNeoForSequenceClassification",title:"GPTNeoForSequenceClassification"},{local:"transformers.TFGPTNeoModel",title:"TFGPTNeoModel"},{local:"transformers.TFGPTNeoForCausalLM",title:"TFGPTNeoForCausalLM"},{local:"transformers.TFGPTNeoForSequenceClassification",title:"TFGPTNeoForSequenceClassification"},{local:"transformers.FlaxGPTNeoModel",title:"FlaxGPTNeoModel"},{local:"transformers.FlaxGPTNeoForCausalLM",title:"FlaxGPTNeoForCausalLM"}],title:"GPT Neo"};function Ch(N){return dh(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Sh extends ah{constructor(d){super();rh(this,d,Ch,Gh,ih,{})}}export{Sh as default,Mh as metadata};
